################################################################################
# ̾       Drk::Encode                                                     #
#       ǽ ܸѴ饹 h2z, z2h imode_enc, imode_dec                  #
#        mod_perlб                                                  #
# ǯ v1.00 2003.08.08                                                #
# ǯ v1.01 2003.08.20 ϣϷǺƵ                               #
# ǯ v1.02 2004.01.24 ASCIIѴ⥵ݡ                          #
# ǯ v1.03 2004.11.13 ڡȾѴ򥵥ݡ               #
# ǯ v1.04 2005.05.21 ѴON/OFFݡ                       #
# ǯ                                                                 #
#      drk                                                             #
# Copy Right http://www.drk7.jp/                                             #
################################################################################

package Drk::Encode;

use Carp;
use strict;
use vars qw($VERSION @ISA @EXPORT);

$VERSION = "1.04";

use Exporter;
use DynaLoader;
@ISA        = qw(Exporter DynaLoader);
@EXPORT     = qw(h2z z2h imode_enc imode_dec);

bootstrap Drk::Encode $VERSION;


###--------------------------------------------------------------------------###
#   Method      : _init                 [private]
#   ǽ    : 
###--------------------------------------------------------------------------###
    sub _init {
        my $self = shift;
        if(ref $_[0] eq 'HASH') {
            my $args = shift;
            map{ $self->{uc($_)}=$args->{$_} } keys %$args;
        } else {
            my %args = @_;
            map{ $self->{uc($_)}=$args{$_} } keys %args;
        }

        $self->{ASCII} = (defined $self->{ASCII} && $self->{ASCII}==1) ? 1 : 0;
        $self->{KANA}  = (defined $self->{KANA}  && $self->{KANA}==0)  ? 0 : 1;
    }



###--------------------------------------------------------------------------###
#   Method      : new                   [public]
#   ǽ    : 󥹥ȥ饯
#
#   IN1: HASH || REF HASH
#           = (
#               ascii  => 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо),
#               kana   => 0(KANAʸѴоݳ)  || 1(KANAʸѴо),
#           )
#   OUT: :REF Drk::Encode
#        ۾:undef
#   ex.: my $enc = new Drk::Encode(ascii => 1); # v1.03ߴ
#   ex.: my $enc = new Drk::Encode({ascii => 1, kana => 0});
###--------------------------------------------------------------------------###
    sub new {
        my $class = shift;
        my $self  = bless {}, $class;
        $self->_init(@_);
        return $self;
    }



###--------------------------------------------------------------------------###
#   Method      : z2h                   [public]
#   ǽ    : [XSǹ®]ѢȾѴؿ
#                 IN1SCALARϤ줿硢REFѿоݤѴ»ܡ
#
#   IN1: REF SCALAR || SCALAR
#           = ʸ
#   IN2: SCALAR
#           = 'euc'||'sjis'
#   IN3: SCALAR || REF HASH
#           = 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо)
#           = (
#               ascii  => 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо),
#               kana   => 0(KANAʸѴоݳ)  || 1(KANAʸѴо),
#             )
#   OUT: --
#   ex.: $hankaku = $enc->z2h($zenkaku, 'euc', 1);  # v1.03ߴ
#   ex.: $hankaku = $enc->z2h($zenkaku, 'euc', {ascii => 1, kana => 0});
###--------------------------------------------------------------------------###
    sub z2h{
        my $self    = shift;
        my $thingy  = shift;
        my $icode   = shift || 'euc';
        my $r_str   = (ref $thingy) ? $thingy : \$thingy;

        if(defined $_[0]) {
            if(ref $_[0] eq 'HASH') { 
                $self->_init(@_);
            } else {
                $self->{ASCII} = ($_[0]==1) ? 1 : 0;
            }
        }
        if( $icode =~ /sjis/i ) {
            $$r_str = Z2H_SJIS($$r_str, $self->{ASCII}, $self->{KANA});
        } else {
            $$r_str = Z2H_EUC($$r_str, $self->{ASCII}, $self->{KANA});
        }
    }


###--------------------------------------------------------------------------###
#   Method      : h2z                   [public]
#   ǽ    : [XSǹ®]ȾѢѴؿ
#                 IN1SCALARϤ줿硢REFѿоݤѴ»ܡ
#
#   IN1: REF SCALAR || SCALAR
#           = ʸ
#   IN2: SCALAR
#           = 'euc'||'sjis'
#   IN3: SCALAR || REF HASH
#           = 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо)
#           = (
#               ascii  => 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо),
#               kana   => 0(KANAʸѴоݳ)  || 1(KANAʸѴо),
#             )
#
#   OUT: --
#   ex.: $zenkaku = $enc->h2z($hankaku, 'euc', 1);  # v1.03ߴ
#   ex.: $zenkaku = $enc->h2z($hankaku, 'euc', {ascii => 1, kana => 0});
###--------------------------------------------------------------------------###
    sub h2z{
        my $self    = shift;
        my $thingy  = shift;
        my $icode   = shift || 'euc';
        my $r_str   = (ref $thingy) ? $thingy : \$thingy;

        if(defined $_[0]) {
            if(ref $_[0] eq 'HASH') {
                $self->_init(@_);
            } else {
                $self->{ASCII} = ($_[0]==1) ? 1 : 0;
            }
        }
        if( $icode =~ /sjis/i ) {
            $$r_str = H2Z_SJIS($$r_str, $self->{ASCII}, $self->{KANA});
        } else {
            $$r_str = H2Z_EUC($$r_str, $self->{ASCII}, $self->{KANA});
        }
    }


###--------------------------------------------------------------------------###
#   Method      : imode_enc             [public]
#   ǽ    : [XSǹ®]ʸescapeѤ߳ʸѴؿ
#                 IN1SCALARϤ줿硢REFѿоݤѴ»ܡ
#
#   IN1: REF SCALAR | SCALAR
#           = ʸ
#   OUT: --
#   ex.: $imode_tag = $enc->imode_enc($imode_emoji);
###--------------------------------------------------------------------------###
    sub imode_enc{
        my $self   = shift;
        my $thingy = shift;
        my $r_str  = (ref $thingy) ? $thingy : \$thingy;
        $$r_str = IMODE_ENC($$r_str);
    }


###--------------------------------------------------------------------------###
#   Method      : imode_dec             [public]
#   ǽ    : [XSǹ®]escapeѤ߳ʸʸʸѴؿ
#                 IN1SCALARϤ줿硢REFѿоݤѴ»ܡ
#
#   IN1: REF SCALAR | SCALAR
#           = ʸ
#   OUT: --
#   ex.: $imode_emoji = $enc->imode_dec($imode_tag);
###--------------------------------------------------------------------------###
    sub imode_dec{
        my $self   = shift;
        my $thingy = shift;
        my $r_str  = (ref $thingy) ? $thingy : \$thingy;
        $$r_str = IMODE_DEC($$r_str);
    }


1;
__END__

