#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

static int
not_here(s)
char *s;
{
    croak("%s not implemented on this architecture", s);
    return -1;
}

#define PERL_XS 1
#include "encode.c"

MODULE = Drk::Encode    PACKAGE = Drk::Encode

PROTOTYPES: ENABLE


char *
Z2H_SJIS(src, ascii, kana, ...)
        SV *            src
        IV              ascii
        IV              kana
    PROTOTYPE: $
    CODE:
    char *s;
        STRLEN srclen;
        STRLEN dstlen;
        s = (SvROK(src)) ? SvPV(SvRV(src), srclen) :SvPV(src, srclen);
        dstlen = srclen * 3 +10 ; /* maybe large enough? */
        ST(0) = sv_2mortal(newSV(dstlen));
        dstlen = _z2h_sjis(SvPVX(ST(0)), s, ascii, kana);
        SvCUR_set(ST(0), dstlen);
        SvPOK_only(ST(0));
    if (SvROK(src)) { sv_setsv(SvRV(src), ST(0)); }


char *
H2Z_SJIS(src, ascii, kana, ...)
        SV *            src
        IV              ascii
        IV              kana
    PROTOTYPE: $
    CODE:
    char *s;
        STRLEN srclen;
        STRLEN dstlen;
        s = (SvROK(src)) ? SvPV(SvRV(src), srclen) :SvPV(src, srclen);
        dstlen = srclen * 3 +10 ; /* maybe large enough? */
        ST(0) = sv_2mortal(newSV(dstlen));
        dstlen = _h2z_sjis(SvPVX(ST(0)), s, ascii, kana);
        SvCUR_set(ST(0), dstlen);
        SvPOK_only(ST(0));
    if (SvROK(src)) { sv_setsv(SvRV(src), ST(0)); }


char *
Z2H_EUC(src, ascii, kana, ...)
        SV *            src
        IV              ascii
        IV              kana
    PROTOTYPE: $
    CODE:
    char *s;
        STRLEN srclen;
        STRLEN dstlen;
        s = (SvROK(src)) ? SvPV(SvRV(src), srclen) :SvPV(src, srclen);
        dstlen = srclen * 3 +10 ; /* maybe large enough? */
        ST(0) = sv_2mortal(newSV(dstlen));
        dstlen = _z2h_euc(SvPVX(ST(0)), s, ascii, kana);
        SvCUR_set(ST(0), dstlen);
        SvPOK_only(ST(0));
    if (SvROK(src)) { sv_setsv(SvRV(src), ST(0)); }


char *
H2Z_EUC(src, ascii, kana, ...)
        SV *            src
        IV              ascii
        IV              kana
    PROTOTYPE: $
    CODE:
    char *s;
        STRLEN srclen;
        STRLEN dstlen;
        s = (SvROK(src)) ? SvPV(SvRV(src), srclen) :SvPV(src, srclen);
        dstlen = srclen * 3 +10 ; /* maybe large enough? */
        ST(0) = sv_2mortal(newSV(dstlen));
        dstlen = _h2z_euc(SvPVX(ST(0)), s, ascii, kana);
        SvCUR_set(ST(0), dstlen);
        SvPOK_only(ST(0));
    if (SvROK(src)) { sv_setsv(SvRV(src), ST(0)); }


char *
IMODE_ENC(src, ...)
        SV *            src
    PROTOTYPE: $
    CODE:
    char *s;
        STRLEN srclen;
        STRLEN dstlen;
        s = (SvROK(src)) ? SvPV(SvRV(src), srclen) :SvPV(src, srclen);
        dstlen = srclen * 8 +10 ; /* maybe large enough? */
        ST(0) = sv_2mortal(newSV(dstlen));
        dstlen = _imode_enc(SvPVX(ST(0)), s);
        SvCUR_set(ST(0), dstlen);
        SvPOK_only(ST(0));
    if (SvROK(src)) { sv_setsv(SvRV(src), ST(0)); }



char *
IMODE_DEC(src, ...)
        SV *            src
    PROTOTYPE: $
    CODE:
    char *s;
        STRLEN srclen;
        STRLEN dstlen;
        s = (SvROK(src)) ? SvPV(SvRV(src), srclen) :SvPV(src, srclen);
        dstlen = srclen * 3 +10 ; /* maybe large enough? */
        ST(0) = sv_2mortal(newSV(dstlen));
        dstlen = _imode_dec(SvPVX(ST(0)), s);
        SvCUR_set(ST(0), dstlen);
        SvPOK_only(ST(0));
    if (SvROK(src)) { sv_setsv(SvRV(src), ST(0)); }

