#include <stdio.h>
#include <string.h>
#include "table.h"

/*-----------------------------------------------------------------------------
s_dhz1[S_DHZ1_SIZE] = // for SJIS ȾNo1
s_dhz2[S_DHZ2_SIZE] = // for SJIS ȾNo2
s_khz[S_KHZ_SIZE]   = // for SJIS ȾѤʢѤ
s_ahz[S_AHZ_SIZE]   = // for SJIS ȾASCIIASCII
s_dzh[S_DZH_SIZE]   = // for SJIS Ⱦ
s_kzh1[S_KZH1_SIZE] = // for SJIS ѤʢȾѤNo1
s_kzh2[S_KZH2_SIZE] = // for SJIS ѤʢȾѤNo2
s_azh1[S_AZH1_SIZE] = // for SJIS ASCIIȾASCII
s_azh2[S_AZH2_SIZE] = // for SJIS ASCIIȾASCII

e_dhz1[E_DHZ1_SIZE] = // for EUC ȾNo1
e_dhz2[E_DHZ2_SIZE] = // for EUC ȾNo2
e_khz[E_KHZ_SIZE]   = // for EUC ȾѤʢѤ
e_ahz[E_AHZ_SIZE]   = // for EUC ȾASCIIASCII
e_dzh[E_DZH_SIZE]   = // for EUC Ⱦ
e_kzh1[E_KZH1_SIZE] = // for EUC ѤʢȾѤNo1
e_kzh2[E_KZH2_SIZE] = // for EUC ѤʢȾѤNo2
e_azh1[E_AZH1_SIZE] = // for EUC ASCIIȾASCII
e_azh2[E_AZH2_SIZE] = // for EUC ASCIIȾASCII
-----------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------
| Ⱦѥʤѥʤˤ for SJIS
| *sin  : ʸؤΥݥ󥿡̥뽪üʸ
| *sout : ʸؤΥݥ󥿡ʸΣܤΥɬס̥뽪üʸˤ֤
|  ascii: 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо)
|  kana : 0(KANA ʸѴоݳ) || 1(KANA ʸѴо)
-----------------------------------------------------------------------------*/
size_t _h2z_sjis ( uchar *sout, uchar *sin, int ascii, int kana ) {
// *sout: ʸؤΥݥ󥿡̥뽪üʸˤ֤
// *sin : ʸؤΥݥ󥿡̥뽪üʸ
    uchar *pin, *pout, c[2], b2;
    char base;
    int slen,i;

    slen = strlen(sin);
    pin  = sin ;
    pout = sout;
    while(1) {
        if ( pin >= sin + slen ) break;

        // ʸΣХ
        if( (0x81 <= *pin && *pin <= 0x9F) || (0xE0 <= *pin && *pin <= 0xFC) ) {
            *pout++ = *pin++;
            *pout++ = *pin++;
        // Ⱦѥ
        } else if ( kana == 1 && 0xA0 <= *pin && *pin <= 0xDF ) {
            c[0] = *pin;
            c[1] = *(pin+1);
            b2   = 0;

            // ȾѥʥNo2
            base = c[0]-S_DHZ2_BASE;
            if ( c[1] == 0xDF && 0<=base && base<S_DHZ2_SIZE ) {
                *pout++ = s_dhz2[base].zk[0];
                *pout++ = s_dhz2[base].zk[1];
                pin += 2;
                b2 = 1;
            }
            if ( b2 ) continue;

            // ȾѥʥNo1
            base = c[0]-S_DHZ1_BASE;
            if ( c[1] == 0xDE && 0<=base && base<S_DHZ1_SIZE && s_dhz1[base].zk[0]!=0 ) {
                *pout++ = s_dhz1[base].zk[0];
                *pout++ = s_dhz1[base].zk[1];
                pin += 2;
                b2 = 1;
            }
            if ( b2 ) continue;

            // Ⱦѥ
            base = c[0]-S_KHZ_BASE;
            if ( 0<=base && base<S_KHZ_SIZE ) {
                *pout++ = s_khz[base].zk[0];
                *pout++ = s_khz[base].zk[1];
                pin ++;
                b2 = 1;
            }
            if ( b2 ) continue;

            // ѴǤʤäʸϤΤޤ޽
            *pout++ = *pin++;
            *pout++ = *pin++;

        // ASCIIʸ
        } else if ( ascii == 1 && 0x20 <= *pin && *pin <= 0x7E ) {
            c[0] = *pin;
            base = c[0]-S_AHZ_BASE;
            if ( 0<=base && base<S_AHZ_SIZE ) {
                *pout++ = s_ahz[base].zk[0];
                *pout++ = s_ahz[base].zk[1];
                pin ++;
                b2 = 1;
            }
            if ( b2 ) continue;

            // ѴǤʤäʸϤΤޤ޽
            *pout++ = *pin++;
            *pout++ = *pin++;

        // ȾѥʰʳȾʸ
        } else {
            *pout++ = *pin++;
        }
    }

    *pout = 0x00;
    return (size_t) (pout - sout);
}


/*-----------------------------------------------------------------------------
| ѥʤȾѥʤˤ for SJIS
| *sin  : ʸؤΥݥ󥿡̥뽪üʸ
| *sout : ʸؤΥݥ󥿡ʸΣܤΥɬס̥뽪üʸˤ֤
|  ascii: 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо)
|  kana : 0(KANA ʸѴоݳ) || 1(KANA ʸѴо)
---------------------------------------------------------------------------- */
size_t _z2h_sjis ( uchar *sout, uchar *sin, int ascii, int kana ) {
// *sout: ʸؤΥݥ󥿡̥뽪üʸˤ֤
// *sin : ʸؤΥݥ󥿡̥뽪üʸ
    uchar *pin, *pout, c[2], b2;
    char base;
    int slen,i;

    slen = strlen(sin);
    pin  = sin ;
    pout = sout;

    while(1) {
        if ( pin >= sin + slen ) break;

        // ʸΣХ
        if ( (0x81 <= *pin && *pin <= 0x9F) || (0xE0 <= *pin && *pin <= 0xFC) ) {
            c[0] = *pin;
            c[1] = *(pin+1);
            b2   = 0;

            if( kana == 1 ) {
                // ѥʥ
                base = c[1]-S_DZH_BASE;
                if ( c[0] == 0x83 && 0<=base && base<S_DZH_SIZE && s_dzh[base].hk[0]!=0 ) {
                    *pout++ = s_dzh[base].hk[0];
                    *pout++ = s_dzh[base].hk[1];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;

                // ѥʥNo1
                base = c[1]-S_KZH1_BASE;
                if ( c[0] == 0x81 && 0<=base && base<S_KZH1_SIZE && s_kzh1[base].hk[0]!=0 ) {
                    *pout++ = s_kzh1[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;

                // ѥʥNo2
                base = c[1]-S_KZH2_BASE;
                if ( c[0] == 0x83 && 0<=base && base<S_KZH2_SIZE && s_kzh2[base].hk[0]!=0 ) {
                    *pout++ = s_kzh2[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;
            }

            if( ascii == 1 ) {
                // ASCIIʸNo1
                base = c[1]-S_AZH1_BASE;
                if ( c[0] == 0x81 && 0<=base && base<S_AZH1_SIZE && s_azh1[base].hk[0]!=0 ) {
                    *pout++ = s_azh1[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;

                // ASCIIʸNo2
                base = c[1]-S_AZH2_BASE;
                if ( c[0] == 0x82 && 0<=base && base<S_AZH2_SIZE && s_azh2[base].hk[0]!=0 ) {
                    *pout++ = s_azh2[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;
            }

            // ѴǤʤäʸϤΤޤ޽
            *pout++ = *pin++;
            *pout++ = *pin++;
        // ʸʳʸ
        } else {
            *pout++ = *pin++;
        }
    }

    *pout = 0x00;
    return (size_t) (pout - sout);
}


/*-----------------------------------------------------------------------------
| Ⱦѥʤѥʤˤ for EUC
| *sin  : ʸؤΥݥ󥿡̥뽪üʸ
| *sout : ʸؤΥݥ󥿡ʸΣܤΥɬס̥뽪üʸˤ֤
|  ascii: 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо)
|  kana : 0(KANA ʸѴоݳ) || 1(KANA ʸѴо)
-----------------------------------------------------------------------------*/
size_t _h2z_euc ( uchar *sout, uchar *sin, int ascii, int kana ) {
// *sout: ʸؤΥݥ󥿡̥뽪üʸˤ֤
// *sin : ʸؤΥݥ󥿡̥뽪üʸ
    uchar *pin, *pout, c[2], b2;
    char base;
    int slen,i;

    slen = strlen(sin);
    pin  = sin ;
    pout = sout;
    while(1) {
        if ( pin >= sin + slen ) break;

        // ʸΣХ
        if( 0xA1 <= *pin && *pin <= 0xFE ) {
            *pout++ = *pin++;
            *pout++ = *pin++;
        // Ⱦѥ
        } else if ( kana == 1 && (0x8E == *pin) && (0xA1 <= *(pin+1) && *(pin+1) <= 0xFE ) ) {
            c[0] = *(pin+1);
            c[1] = *(pin+3);
            b2   = 0;

            // ȾѥʥNo2
            if( (0x8E == *(pin+2)) && (0xDE == *(pin+3) || 0xDF == *(pin+3)) ) {
                base = c[0]-E_DHZ2_BASE;
                if ( c[1] == 0xDF && 0<=base && base<E_DHZ2_SIZE ) {
                    *pout++ = e_dhz2[base].zk[0];
                    *pout++ = e_dhz2[base].zk[1];
                    pin += 4;
                    b2 = 1;
                }
                if ( b2 ) continue;

            // ȾѥʥNo1
                base = c[0]-E_DHZ1_BASE;
                if ( c[1] == 0xDE && 0<=base && base<E_DHZ1_SIZE && e_dhz1[base].zk[0]!=0 ) {
                    *pout++ = e_dhz1[base].zk[0];
                    *pout++ = e_dhz1[base].zk[1];
                    pin += 4;
                    b2 = 1;
                }
                if ( b2 ) continue;
            }

            // Ⱦѥ
            base = c[0]-E_KHZ_BASE;
            if ( 0<=base && base<E_KHZ_SIZE ) {
                *pout++ = e_khz[base].zk[0];
                *pout++ = e_khz[base].zk[1];
                pin +=2;
                b2 = 1;
            }
            if ( b2 ) continue;

            // ѴǤʤäʸϤΤޤ޽
            *pout++ = *pin++;
            *pout++ = *pin++;

        // ASCIIʸ
        } else if ( ascii == 1 && 0x20 <= *pin && *pin <= 0x7E ) {
            c[0] = *pin;
            base = c[0]-E_AHZ_BASE;
            if ( 0<=base && base<E_AHZ_SIZE ) {
                *pout++ = e_ahz[base].zk[0];
                *pout++ = e_ahz[base].zk[1];
                pin ++;
                b2 = 1;
            }
            if ( b2 ) continue;

            // ѴǤʤäʸϤΤޤ޽
            *pout++ = *pin++;

        // ȾѥʰʳȾʸ
        } else {
            *pout++ = *pin++;
        }
    }

    *pout = 0x00;
    return (size_t) (pout - sout);
}


/*-----------------------------------------------------------------------------
| ѥʤȾѥʤˤ for EUC
| *sin  : ʸؤΥݥ󥿡̥뽪üʸ
| *sout : ʸؤΥݥ󥿡ʸΣܤΥɬס̥뽪üʸˤ֤
|  ascii: 0(ASCIIʸѴоݳ) || 1(ASCIIʸѴо)
|  kana : 0(KANA ʸѴоݳ) || 1(KANA ʸѴо)
---------------------------------------------------------------------------- */
size_t _z2h_euc ( uchar *sout, uchar *sin, int ascii, int kana ) {
// *sout: ʸؤΥݥ󥿡̥뽪üʸˤ֤
// *sin : ʸؤΥݥ󥿡̥뽪üʸ
    uchar *pin, *pout, c[2], b2;
    char base;
    int slen,i;

    slen = strlen(sin);
    pin  = sin ;
    pout = sout;

    while(1) {
        if ( pin >= sin + slen ) break;

        // ʸΣХ
        if( 0xA1 <= *pin && *pin <= 0xFE ) {
            c[0] = *pin;
            c[1] = *(pin+1);
            b2   = 0;

            if( kana == 1 ) {
                // ѥʥ
                base = c[1]-E_DZH_BASE;
                if ( c[0] == 0xA5 && 0<=base && base<E_DZH_SIZE && e_dzh[base].hk[0]!=0 ) {
                    *pout++ = 0x8E;
                    *pout++ = e_dzh[base].hk[0];
                    *pout++ = 0x8E;
                    *pout++ = e_dzh[base].hk[1];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;

                // ѥʥNo1
                base = c[1]-E_KZH1_BASE;
                if ( c[0] == 0xA1 && 0<=base && base<E_KZH1_SIZE && e_kzh1[base].hk[0]!=0 ) {
                    *pout++ = 0x8E;
                    *pout++ = e_kzh1[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;

                // ѥʥNo2
                base = c[1]-E_KZH2_BASE;
                if ( c[0] == 0xA5 && 0<=base && base<E_KZH2_SIZE && e_kzh2[base].hk[0]!=0 ) {
                    *pout++ = 0x8E;
                    *pout++ = e_kzh2[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;
            }

            if( ascii == 1 ) {
                // ASCIIʸNo1
                base = c[1]-E_AZH1_BASE;
                if ( c[0] == 0xA1 && 0<=base && base<E_AZH1_SIZE && e_azh1[base].hk[0]!=0 ) {
                    *pout++ = e_azh1[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;

                // ASCIIʸNo2
                base = c[1]-E_AZH2_BASE;
                if ( c[0] == 0xA3 && 0<=base && base<E_AZH2_SIZE && e_azh2[base].hk[0]!=0 ) {
                    *pout++ = e_azh2[base].hk[0];
                    pin += 2;
                    b2 = 1;
                }
                if ( b2 ) continue;
            }

            // ѴǤʤäʸϤΤޤ޽
            *pout++ = *pin++;
            *pout++ = *pin++;
        // ʸʳʸ
        } else {
            *pout++ = *pin++;
        }
    }

    *pout = 0x00;
    return (size_t) (pout - sout);
}


/*-----------------------------------------------------------------------------
| IMODEʸХʥꢪѴ for SJIS
| *sin : ʸؤΥݥ󥿡̥뽪üʸ
| *sout : ʸؤΥݥ󥿡ʸΣܤΥɬס̥뽪üʸˤ֤
---------------------------------------------------------------------------- */
size_t _imode_enc ( uchar *sout, uchar *sin ) {
// *sout: ʸؤΥݥ󥿡̥뽪üʸˤ֤
// *sin : ʸؤΥݥ󥿡̥뽪üʸ
    uchar *pin, *pout, c[2], b2, temp[20];
    int slen,i;

    slen = strlen(sin);
    pin  = sin ;
    pout = sout;

    while(1) {
        if ( pin >= sin + slen ) break;

        // SJISʸ[0x80-0x9F|0xE0-0xEF|0xFA-0xFC][0x40-0x7E|0x80-0xFC] | [0x00-0x7F] | [0xA1-0xDF]
        if ( ( (0x80<=*pin && *pin<=0x9F) || (0xE0<=*pin && *pin<=0xEF) || (0xFA<=*pin && *pin<=0xFC) ) &&
             ( (0x40<=*(pin+1) && *(pin+1)<=0x7E) || (0x80<=*(pin+1) && *(pin+1)<=0xFC) )
           )
        {
            *pout++ = *pin++;
            *pout++ = *pin++;
        } else if( (0x01<=*pin && *pin<=0x7F) || (0xA1<=*pin && *pin<=0xDF) ) {
            *pout++ = *pin++;
        } else {
            // ʸ[0xF0-0xF9][0x40-0x7E|0x80-0xFC]
            if ( (0xF0 <= *pin && *pin <= 0xF9) &&
                 ( (0x40<=*(pin+1) && *(pin+1)<=0x7E) || (0x80<=*(pin+1) && *(pin+1)<=0xFC) )
               )
            {
                c[0] = *pin;
                c[1] = *(pin+1);
                i = c[0]*0x100 + c[1];

                // 10ʿХʥꢪ10ʿ
                sprintf( temp, "&#%05d;", i ); 
                *pout++ = temp[0];  //&
                *pout++ = temp[1];  //#
                *pout++ = temp[2];  //D
                *pout++ = temp[3];  //D
                *pout++ = temp[4];  //D
                *pout++ = temp[5];  //D
                *pout++ = temp[6];  //D
                *pout++ = temp[7];  //;
                pin  += 2;
            // ʸʸʳʸ
            } else {
                *pout++ = *pin++;
            }
        }
    }

    *pout = 0x00;
    return (size_t) (pout - sout);
}


/*-----------------------------------------------------------------------------
| IMODEʸ򥿥ХʥѴ for SJIS
| *sin : ʸؤΥݥ󥿡̥뽪üʸ
| *sout : ʸؤΥݥ󥿡ʸΣܤΥɬס̥뽪üʸˤ֤
---------------------------------------------------------------------------- */
size_t _imode_dec ( uchar *sout, uchar *sin ) {
// *sout: ʸؤΥݥ󥿡̥뽪üʸˤ֤
// *sin : ʸؤΥݥ󥿡̥뽪üʸ
    uchar *pin, *pout, c[2], b2, temp[20];
    int slen,i;
    unsigned int j;

    slen = strlen(sin);
    pin  = sin ;
    pout = sout;

    while(1) {
        if ( pin >= sin + slen ) break;

        // ʸ[0xF0-0xF9][0x40-0x7E|0x80-0xFC]
        if ( *pin == '&' && *(pin+1) == '#' && *(pin+7) == ';' ) {
            // 10ʿ10ʿХʥ
            sprintf(temp, "%c%c%c%c%c", *(pin+2), *(pin+3), *(pin+4), *(pin+5), *(pin+6) );
            i = atoi(temp);
            *pout++ = i/0x100;
            *pout++ = i&0x00FF;
            pin  += 8;
        // ʸʸʳʸ
        } else {
            *pout++ = *pin++;
        }
    }

    *pout = 0x00;
    return (size_t) (pout - sout);
}






#ifndef PERL_XS
int main(int argc, char **argv){
    return 0;
}
#endif
