#!/usr/bin/perl -X

use lib "./";
use Jcode;
use Drk::Encode;

&bench("./hankaku.euc", "h2z");
&bench("./zenkaku.euc", "z2h");

sub bench() {
	my $testfile = shift;
	my $mode = shift;
	my $loop = 100000;

	my $html_text;
	if( open( INFL, "<".$testfile ) ) {
		while(<INFL>) { $html_text.=$_; }
		close(INFL);
	} else {
		print "error";
		exit;
	}

	my ($begin, $end);
	my $eJ = Jcode->new;
	my $eD = Drk::Encode->new;

	$begin = time;
	foreach(0..$loop) {
		my $p = $eJ->set($html_text, 'euc')->$mode;
	}
	$end = time;
	print "[$mode]Jcode[$loop]LOOP TIME=".($end-$begin)."\n";


	$begin = time;
	foreach(0..$loop) {
		my $p = $eD->$mode($html_text, 'euc');
	}
	$end = time;
	print "[$mode]Drk::Encode[$loop]LOOP TIME=".($end-$begin)."\n";
}
