typedef unsigned char uchar;
typedef struct
{
    unsigned char   hk[1];
    unsigned char   zk[2];
}   hz1;

typedef struct
{
    unsigned char   hk[2];
    unsigned char   zk[2];
}   hz2;


#define S_DHZ1_SIZE 28
#define S_DHZ2_SIZE  5
#define S_DZH_SIZE  74
#define S_KHZ_SIZE  63
#define S_KZH1_SIZE 54
#define S_KZH2_SIZE 87
#define S_AHZ_SIZE  95
#define S_AZH1_SIZE 88
#define S_AZH2_SIZE 76

#define S_DHZ1_BASE 0xB3
#define S_DHZ2_BASE 0xCA
#define S_DZH_BASE  0x4B
#define S_KHZ_BASE  0xA1
#define S_KZH1_BASE 0x41
#define S_KZH2_BASE 0x40
#define S_AHZ_BASE  0x20	//0x21
#define S_AZH1_BASE 0x40	//0x43
#define S_AZH2_BASE 0x4F

#define E_DHZ1_SIZE 28
#define E_DHZ2_SIZE  5
#define E_DZH_SIZE  73
#define E_KHZ_SIZE  63
#define E_KZH1_SIZE 54
#define E_KZH2_SIZE 95
#define E_AHZ_SIZE  95
#define E_AZH1_SIZE 87
#define E_AZH2_SIZE 75

#define E_DHZ1_BASE 0xB3
#define E_DHZ2_BASE 0xCA
#define E_DZH_BASE  0xAC
#define E_KHZ_BASE  0xA1
#define E_KZH1_BASE 0xA2
#define E_KZH2_BASE 0x95
#define E_AHZ_BASE  0x20	//0x21
#define E_AZH1_BASE 0xA1	//0xA4
#define E_AZH2_BASE 0xB0


// for SJIS ȾNo1
static  hz2 s_dhz1[S_DHZ1_SIZE] = 
{
	{   0xB3,0xDE   /*  */,   0x83,0x94   /*  */    },   // 0
	{   0xB4,0xDE   /*    */,   0x00,0x00   /*    */    },   // 1
	{   0xB5,0xDE   /*    */,   0x00,0x00   /*    */    },   // 2
	{   0xB6,0xDE   /*  */,   0x83,0x4B   /*  */    },   // 3
	{   0xB7,0xDE   /*  */,   0x83,0x4D   /*  */    },   // 4
	{   0xB8,0xDE   /*  */,   0x83,0x4F   /*  */    },   // 5
	{   0xB9,0xDE   /*  */,   0x83,0x51   /*  */    },   // 6
	{   0xBA,0xDE   /*  */,   0x83,0x53   /*  */    },   // 7
	{   0xBB,0xDE   /*  */,   0x83,0x55   /*  */    },   // 8
	{   0xBC,0xDE   /*  */,   0x83,0x57   /*  */    },   // 9
	{   0xBD,0xDE   /*  */,   0x83,0x59   /*  */    },   // 10
	{   0xBE,0xDE   /*  */,   0x83,0x5B   /*  */    },   // 11
	{   0xBF,0xDE   /*  */,   0x83,0x5D   /*  */    },   // 12
	{   0xC0,0xDE   /*  */,   0x83,0x5F   /*  */    },   // 13
	{   0xC1,0xDE   /*  */,   0x83,0x61   /*  */    },   // 14
	{   0xC2,0xDE   /*  */,   0x83,0x64   /*  */    },   // 15
	{   0xC3,0xDE   /* Î */,   0x83,0x66   /*  */    },   // 16
	{   0xC4,0xDE   /* Ď */,   0x83,0x68   /*  */    },   // 17
	{   0xC5,0xDE   /*    */,   0x00,0x00   /*    */    },   // 18
	{   0xC6,0xDE   /*    */,   0x00,0x00   /*    */    },   // 19
	{   0xC7,0xDE   /*    */,   0x00,0x00   /*    */    },   // 20
	{   0xC8,0xDE   /*    */,   0x00,0x00   /*    */    },   // 21
	{   0xC9,0xDE   /*    */,   0x00,0x00   /*    */    },   // 22
	{   0xCA,0xDE   /* ʎ */,   0x83,0x6F   /*  */    },   // 23
	{   0xCB,0xDE   /* ˎ */,   0x83,0x72   /*  */    },   // 24
	{   0xCC,0xDE   /* ̎ */,   0x83,0x75   /*  */    },   // 25
	{   0xCD,0xDE   /* ͎ */,   0x83,0x78   /*  */    },   // 26
	{   0xCE,0xDE   /* Ύ */,   0x83,0x7B   /*  */    }    // 27
};

// for SJIS ȾNo2
static  hz2 s_dhz2[S_DHZ2_SIZE] = 
{
	{   0xCA,0xDF   /* ʎ */,   0x83,0x70   /*  */    },   // 0
	{   0xCB,0xDF   /* ˎ */,   0x83,0x73   /*  */    },   // 1
	{   0xCC,0xDF   /* ̎ */,   0x83,0x76   /*  */    },   // 2
	{   0xCD,0xDF   /* ͎ */,   0x83,0x79   /*  */    },   // 3
	{   0xCE,0xDF   /* Ύ */,   0x83,0x7C   /*  */    }    // 4
};

// for SJIS Ⱦ
static  hz2 s_dzh[S_DZH_SIZE] = 
{
	{   0xB6,0xDE   /*  */,   0x83,0x4B   /*  */    },   // 0
	{   0x00,0x00   /*    */,   0x83,0x4C   /*    */    },   // 1
	{   0xB7,0xDE   /*  */,   0x83,0x4D   /*  */    },   // 2
	{   0x00,0x00   /*    */,   0x83,0x4E   /*    */    },   // 3
	{   0xB8,0xDE   /*  */,   0x83,0x4F   /*  */    },   // 4
	{   0x00,0x00   /*    */,   0x83,0x50   /*    */    },   // 5
	{   0xB9,0xDE   /*  */,   0x83,0x51   /*  */    },   // 6
	{   0x00,0x00   /*    */,   0x83,0x52   /*    */    },   // 7
	{   0xBA,0xDE   /*  */,   0x83,0x53   /*  */    },   // 8
	{   0x00,0x00   /*    */,   0x83,0x54   /*    */    },   // 9
	{   0xBB,0xDE   /*  */,   0x83,0x55   /*  */    },   // 10
	{   0x00,0x00   /*    */,   0x83,0x56   /*    */    },   // 11
	{   0xBC,0xDE   /*  */,   0x83,0x57   /*  */    },   // 12
	{   0x00,0x00   /*    */,   0x83,0x58   /*    */    },   // 13
	{   0xBD,0xDE   /*  */,   0x83,0x59   /*  */    },   // 14
	{   0x00,0x00   /*    */,   0x83,0x5A   /*    */    },   // 15
	{   0xBE,0xDE   /*  */,   0x83,0x5B   /*  */    },   // 16
	{   0x00,0x00   /*    */,   0x83,0x5C   /*    */    },   // 17
	{   0xBF,0xDE   /*  */,   0x83,0x5D   /*  */    },   // 18
	{   0x00,0x00   /*    */,   0x83,0x5E   /*    */    },   // 19
	{   0xC0,0xDE   /*  */,   0x83,0x5F   /*  */    },   // 20
	{   0x00,0x00   /*    */,   0x83,0x60   /*    */    },   // 21
	{   0xC1,0xDE   /*  */,   0x83,0x61   /*  */    },   // 22
	{   0x00,0x00   /*    */,   0x83,0x62   /*    */    },   // 23
	{   0x00,0x00   /*    */,   0x83,0x63   /*    */    },   // 24
	{   0xC2,0xDE   /*  */,   0x83,0x64   /*  */    },   // 25
	{   0x00,0x00   /*    */,   0x83,0x65   /*    */    },   // 26
	{   0xC3,0xDE   /* Î */,   0x83,0x66   /*  */    },   // 27
	{   0x00,0x00   /*    */,   0x83,0x67   /*    */    },   // 28
	{   0xC4,0xDE   /* Ď */,   0x83,0x68   /*  */    },   // 29
	{   0x00,0x00   /*    */,   0x83,0x69   /*    */    },   // 30
	{   0x00,0x00   /*    */,   0x83,0x6A   /*    */    },   // 31
	{   0x00,0x00   /*    */,   0x83,0x6B   /*    */    },   // 32
	{   0x00,0x00   /*    */,   0x83,0x6C   /*    */    },   // 33
	{   0x00,0x00   /*    */,   0x83,0x6D   /*    */    },   // 34
	{   0x00,0x00   /*    */,   0x83,0x6E   /*    */    },   // 35
	{   0xCA,0xDE   /* ʎ */,   0x83,0x6F   /*  */    },   // 36
	{   0xCA,0xDF   /* ʎ */,   0x83,0x70   /*  */    },   // 37
	{   0x00,0x00   /*    */,   0x83,0x71   /*    */    },   // 38
	{   0xCB,0xDE   /* ˎ */,   0x83,0x72   /*  */    },   // 39
	{   0xCB,0xDF   /* ˎ */,   0x83,0x73   /*  */    },   // 40
	{   0x00,0x00   /*    */,   0x83,0x74   /*    */    },   // 41
	{   0xCC,0xDE   /* ̎ */,   0x83,0x75   /*  */    },   // 42
	{   0xCC,0xDF   /* ̎ */,   0x83,0x76   /*  */    },   // 43
	{   0x00,0x00   /*    */,   0x83,0x77   /*    */    },   // 44
	{   0xCD,0xDE   /* ͎ */,   0x83,0x78   /*  */    },   // 45
	{   0xCD,0xDF   /* ͎ */,   0x83,0x79   /*  */    },   // 46
	{   0x00,0x00   /*    */,   0x83,0x7A   /*    */    },   // 47
	{   0xCE,0xDE   /* Ύ */,   0x83,0x7B   /*  */    },   // 48
	{   0xCE,0xDF   /* Ύ */,   0x83,0x7C   /*  */    },   // 49
	{   0x00,0x00   /*    */,   0x83,0x7D   /*    */    },   // 50
	{   0x00,0x00   /*    */,   0x83,0x7E   /*    */    },   // 51
	{   0x00,0x00   /*    */,   0x83,0x7F   /*    */    },   // 52
	{   0x00,0x00   /*    */,   0x83,0x80   /*    */    },   // 53
	{   0x00,0x00   /*    */,   0x83,0x81   /*    */    },   // 54
	{   0x00,0x00   /*    */,   0x83,0x82   /*    */    },   // 55
	{   0x00,0x00   /*    */,   0x83,0x83   /*    */    },   // 56
	{   0x00,0x00   /*    */,   0x83,0x84   /*    */    },   // 57
	{   0x00,0x00   /*    */,   0x83,0x85   /*    */    },   // 58
	{   0x00,0x00   /*    */,   0x83,0x86   /*    */    },   // 59
	{   0x00,0x00   /*    */,   0x83,0x87   /*    */    },   // 60
	{   0x00,0x00   /*    */,   0x83,0x88   /*    */    },   // 61
	{   0x00,0x00   /*    */,   0x83,0x89   /*    */    },   // 62
	{   0x00,0x00   /*    */,   0x83,0x8A   /*    */    },   // 63
	{   0x00,0x00   /*    */,   0x83,0x8B   /*    */    },   // 64
	{   0x00,0x00   /*    */,   0x83,0x8C   /*    */    },   // 65
	{   0x00,0x00   /*    */,   0x83,0x8D   /*    */    },   // 66
	{   0x00,0x00   /*    */,   0x83,0x8E   /*    */    },   // 67
	{   0x00,0x00   /*    */,   0x83,0x8F   /*    */    },   // 68
	{   0x00,0x00   /*    */,   0x83,0x90   /*    */    },   // 69
	{   0x00,0x00   /*    */,   0x83,0x91   /*    */    },   // 70
	{   0x00,0x00   /*    */,   0x83,0x92   /*    */    },   // 71
	{   0x00,0x00   /*    */,   0x83,0x93   /*    */    },   // 72
	{   0xB3,0xDE   /*  */,   0x83,0x94   /*  */    }    // 73
};


// for SJIS ȾѤʢѤ
static  hz1 s_khz[S_KHZ_SIZE] = 
{
	{   0xA1   /*  */,    0x81,0x42   /*  */    },   // 0
	{   0xA2   /*  */,    0x81,0x75   /*  */    },   // 1
	{   0xA3   /*  */,    0x81,0x76   /*  */    },   // 2
	{   0xA4   /*  */,    0x81,0x41   /*  */    },   // 3
	{   0xA5   /*  */,    0x81,0x45   /*  */    },   // 4
	{   0xA6   /*  */,    0x83,0x92   /*  */    },   // 5
	{   0xA7   /*  */,    0x83,0x40   /*  */    },   // 6
	{   0xA8   /*  */,    0x83,0x42   /*  */    },   // 7
	{   0xA9   /*  */,    0x83,0x44   /*  */    },   // 8
	{   0xAA   /*  */,    0x83,0x46   /*  */    },   // 9
	{   0xAB   /*  */,    0x83,0x48   /*  */    },   // 10
	{   0xAC   /*  */,    0x83,0x83   /*  */    },   // 11
	{   0xAD   /*  */,    0x83,0x85   /*  */    },   // 12
	{   0xAE   /*  */,    0x83,0x87   /*  */    },   // 13
	{   0xAF   /*  */,    0x83,0x62   /*  */    },   // 14
	{   0xB0   /*  */,    0x81,0x5B   /*  */    },   // 15
	{   0xB1   /*  */,    0x83,0x41   /*  */    },   // 16
	{   0xB2   /*  */,    0x83,0x43   /*  */    },   // 17
	{   0xB3   /*  */,    0x83,0x45   /*  */    },   // 18
	{   0xB4   /*  */,    0x83,0x47   /*  */    },   // 19
	{   0xB5   /*  */,    0x83,0x49   /*  */    },   // 20
	{   0xB6   /*  */,    0x83,0x4A   /*  */    },   // 21
	{   0xB7   /*  */,    0x83,0x4C   /*  */    },   // 22
	{   0xB8   /*  */,    0x83,0x4E   /*  */    },   // 23
	{   0xB9   /*  */,    0x83,0x50   /*  */    },   // 24
	{   0xBA   /*  */,    0x83,0x52   /*  */    },   // 25
	{   0xBB   /*  */,    0x83,0x54   /*  */    },   // 26
	{   0xBC   /*  */,    0x83,0x56   /*  */    },   // 27
	{   0xBD   /*  */,    0x83,0x58   /*  */    },   // 28
	{   0xBE   /*  */,    0x83,0x5A   /*  */    },   // 29
	{   0xBF   /*  */,    0x83,0x5C   /*  */    },   // 30
	{   0xC0   /*  */,    0x83,0x5E   /*  */    },   // 31
	{   0xC1   /*  */,    0x83,0x60   /*  */    },   // 32
	{   0xC2   /*  */,    0x83,0x63   /*  */    },   // 33
	{   0xC3   /*  */,    0x83,0x65   /*  */    },   // 34
	{   0xC4   /*  */,    0x83,0x67   /*  */    },   // 35
	{   0xC5   /*  */,    0x83,0x69   /*  */    },   // 36
	{   0xC6   /*  */,    0x83,0x6A   /*  */    },   // 37
	{   0xC7   /*  */,    0x83,0x6B   /*  */    },   // 38
	{   0xC8   /*  */,    0x83,0x6C   /*  */    },   // 39
	{   0xC9   /*  */,    0x83,0x6D   /*  */    },   // 40
	{   0xCA   /*  */,    0x83,0x6E   /*  */    },   // 41
	{   0xCB   /*  */,    0x83,0x71   /*  */    },   // 42
	{   0xCC   /*  */,    0x83,0x74   /*  */    },   // 43
	{   0xCD   /*  */,    0x83,0x77   /*  */    },   // 44
	{   0xCE   /*  */,    0x83,0x7A   /*  */    },   // 45
	{   0xCF   /*  */,    0x83,0x7D   /*  */    },   // 46
	{   0xD0   /*  */,    0x83,0x7E   /*  */    },   // 47
	{   0xD1   /*  */,    0x83,0x80   /*  */    },   // 48
	{   0xD2   /*  */,    0x83,0x81   /*  */    },   // 49
	{   0xD3   /*  */,    0x83,0x82   /*  */    },   // 50
	{   0xD4   /*  */,    0x83,0x84   /*  */    },   // 51
	{   0xD5   /*  */,    0x83,0x86   /*  */    },   // 52
	{   0xD6   /*  */,    0x83,0x88   /*  */    },   // 53
	{   0xD7   /*  */,    0x83,0x89   /*  */    },   // 54
	{   0xD8   /*  */,    0x83,0x8A   /*  */    },   // 55
	{   0xD9   /*  */,    0x83,0x8B   /*  */    },   // 56
	{   0xDA   /*  */,    0x83,0x8C   /*  */    },   // 57
	{   0xDB   /*  */,    0x83,0x8D   /*  */    },   // 58
	{   0xDC   /*  */,    0x83,0x8F   /*  */    },   // 59
	{   0xDD   /*  */,    0x83,0x93   /*  */    },   // 60
	{   0xDE   /*  */,    0x81,0x4A   /*  */    },   // 61
	{   0xDF   /*  */,    0x81,0x4B   /*  */    }    // 62
};

// for SJIS ѤʢȾѤNo1
static  hz1 s_kzh1[S_KZH1_SIZE] = 
{
	{   0xA4   /*  */,    0x81,0x41   /*  */    },   // 0
	{   0xA1   /*  */,    0x81,0x42   /*  */    },   // 1
	{   0x00   /*   */,    0x81,0x43   /*    */    },   // 2
	{   0x00   /*   */,    0x81,0x44   /*    */    },   // 3
	{   0xA5   /*  */,    0x81,0x45   /*  */    },   // 4
	{   0x00   /*   */,    0x81,0x46   /*    */    },   // 5
	{   0x00   /*   */,    0x81,0x47   /*    */    },   // 6
	{   0x00   /*   */,    0x81,0x48   /*    */    },   // 7
	{   0x00   /*   */,    0x81,0x49   /*    */    },   // 8
	{   0xDE   /*  */,    0x81,0x4A   /*  */    },   // 9
	{   0xDF   /*  */,    0x81,0x4B   /*  */    },   // 10
	{   0x00   /*   */,    0x81,0x4C   /*    */    },   // 11
	{   0x00   /*   */,    0x81,0x4D   /*    */    },   // 12
	{   0x00   /*   */,    0x81,0x4E   /*    */    },   // 13
	{   0x00   /*   */,    0x81,0x4F   /*    */    },   // 14
	{   0x00   /*   */,    0x81,0x50   /*    */    },   // 15
	{   0x00   /*   */,    0x81,0x51   /*    */    },   // 16
	{   0x00   /*   */,    0x81,0x52   /*    */    },   // 17
	{   0x00   /*   */,    0x81,0x53   /*    */    },   // 18
	{   0x00   /*   */,    0x81,0x54   /*    */    },   // 19
	{   0x00   /*   */,    0x81,0x55   /*    */    },   // 20
	{   0x00   /*   */,    0x81,0x56   /*    */    },   // 21
	{   0x00   /*   */,    0x81,0x57   /*    */    },   // 22
	{   0x00   /*   */,    0x81,0x58   /*    */    },   // 23
	{   0x00   /*   */,    0x81,0x59   /*    */    },   // 24
	{   0x00   /*   */,    0x81,0x5A   /*    */    },   // 25
	{   0xB0   /*  */,    0x81,0x5B   /*  */    },   // 26
	{   0x00   /*   */,    0x81,0x5C   /*    */    },   // 27
	{   0x00   /*   */,    0x81,0x5D   /*    */    },   // 28
	{   0x00   /*   */,    0x81,0x5E   /*    */    },   // 29
	{   0x00   /*   */,    0x81,0x5F   /*    */    },   // 30
	{   0x00   /*   */,    0x81,0x60   /*    */    },   // 31
	{   0x00   /*   */,    0x81,0x61   /*    */    },   // 32
	{   0x00   /*   */,    0x81,0x62   /*    */    },   // 33
	{   0x00   /*   */,    0x81,0x63   /*    */    },   // 34
	{   0x00   /*   */,    0x81,0x64   /*    */    },   // 35
	{   0x00   /*   */,    0x81,0x65   /*    */    },   // 36
	{   0x00   /*   */,    0x81,0x66   /*    */    },   // 37
	{   0x00   /*   */,    0x81,0x67   /*    */    },   // 38
	{   0x00   /*   */,    0x81,0x68   /*    */    },   // 39
	{   0x00   /*   */,    0x81,0x69   /*    */    },   // 40
	{   0x00   /*   */,    0x81,0x6A   /*    */    },   // 41
	{   0x00   /*   */,    0x81,0x6B   /*    */    },   // 42
	{   0x00   /*   */,    0x81,0x6C   /*    */    },   // 43
	{   0x00   /*   */,    0x81,0x6D   /*    */    },   // 44
	{   0x00   /*   */,    0x81,0x6E   /*    */    },   // 45
	{   0x00   /*   */,    0x81,0x6F   /*    */    },   // 46
	{   0x00   /*   */,    0x81,0x70   /*    */    },   // 47
	{   0x00   /*   */,    0x81,0x71   /*    */    },   // 48
	{   0x00   /*   */,    0x81,0x72   /*    */    },   // 49
	{   0x00   /*   */,    0x81,0x73   /*    */    },   // 50
	{   0x00   /*   */,    0x81,0x74   /*    */    },   // 51
	{   0xA2   /*  */,    0x81,0x75   /*  */    },   // 52
	{   0xA3   /*  */,    0x81,0x76   /*  */    }    // 53
};

// for SJIS ѤʢȾѤNo2
static  hz1 s_kzh2[S_KZH2_SIZE] = 
{
	{   0xA7   /*  */,    0x83,0x40   /*  */    },   // 0
	{   0xB1   /*  */,    0x83,0x41   /*  */    },   // 1
	{   0xA8   /*  */,    0x83,0x42   /*  */    },   // 2
	{   0xB2   /*  */,    0x83,0x43   /*  */    },   // 3
	{   0xA9   /*  */,    0x83,0x44   /*  */    },   // 4
	{   0xB3   /*  */,    0x83,0x45   /*  */    },   // 5
	{   0xAA   /*  */,    0x83,0x46   /*  */    },   // 6
	{   0xB4   /*  */,    0x83,0x47   /*  */    },   // 7
	{   0xAB   /*  */,    0x83,0x48   /*  */    },   // 8
	{   0xB5   /*  */,    0x83,0x49   /*  */    },   // 9 
	{   0xB6   /*  */,    0x83,0x4A   /*  */    },   // 10
	{   0x00   /*   */,    0x83,0x4B   /*    */    },   // 11
	{   0xB7   /*  */,    0x83,0x4C   /*  */    },   // 12
	{   0x00   /*   */,    0x83,0x4D   /*    */    },   // 13
	{   0xB8   /*  */,    0x83,0x4E   /*  */    },   // 14
	{   0x00   /*   */,    0x83,0x4F   /*    */    },   // 15
	{   0xB9   /*  */,    0x83,0x50   /*  */    },   // 16
	{   0x00   /*   */,    0x83,0x51   /*    */    },   // 17
	{   0xBA   /*  */,    0x83,0x52   /*  */    },   // 18
	{   0x00   /*   */,    0x83,0x53   /*    */    },   // 19
	{   0xBB   /*  */,    0x83,0x54   /*  */    },   // 20
	{   0x00   /*   */,    0x83,0x55   /*    */    },   // 21
	{   0xBC   /*  */,    0x83,0x56   /*  */    },   // 22
	{   0x00   /*   */,    0x83,0x57   /*    */    },   // 23
	{   0xBD   /*  */,    0x83,0x58   /*  */    },   // 24
	{   0x00   /*   */,    0x83,0x59   /*    */    },   // 25
	{   0xBE   /*  */,    0x83,0x5A   /*  */    },   // 26
	{   0x00   /*   */,    0x83,0x5B   /*    */    },   // 27
	{   0xBF   /*  */,    0x83,0x5C   /*  */    },   // 28
	{   0x00   /*   */,    0x83,0x5D   /*    */    },   // 29
	{   0xC0   /*  */,    0x83,0x5E   /*  */    },   // 30
	{   0x00   /*   */,    0x83,0x5F   /*    */    },   // 31
	{   0xC1   /*  */,    0x83,0x60   /*  */    },   // 32
	{   0x00   /*   */,    0x83,0x61   /*    */    },   // 33
	{   0xAF   /*  */,    0x83,0x62   /*  */    },   // 34
	{   0xC2   /*  */,    0x83,0x63   /*  */    },   // 35
	{   0x00   /*   */,    0x83,0x64   /*    */    },   // 36
	{   0xC3   /*  */,    0x83,0x65   /*  */    },   // 37
	{   0x00   /*   */,    0x83,0x66   /*    */    },   // 38
	{   0xC4   /*  */,    0x83,0x67   /*  */    },   // 39
	{   0x00   /*   */,    0x83,0x68   /*    */    },   // 40
	{   0xC5   /*  */,    0x83,0x69   /*  */    },   // 41
	{   0xC6   /*  */,    0x83,0x6A   /*  */    },   // 42
	{   0xC7   /*  */,    0x83,0x6B   /*  */    },   // 43
	{   0xC8   /*  */,    0x83,0x6C   /*  */    },   // 44
	{   0xC9   /*  */,    0x83,0x6D   /*  */    },   // 45
	{   0xCA   /*  */,    0x83,0x6E   /*  */    },   // 46
	{   0x00   /*   */,    0x83,0x6F   /*    */    },   // 47
	{   0x00   /*   */,    0x83,0x70   /*    */    },   // 48
	{   0xCB   /*  */,    0x83,0x71   /*  */    },   // 49
	{   0x00   /*   */,    0x83,0x72   /*    */    },   // 50
	{   0x00   /*   */,    0x83,0x73   /*    */    },   // 51
	{   0xCC   /*  */,    0x83,0x74   /*  */    },   // 52
	{   0x00   /*   */,    0x83,0x75   /*    */    },   // 53
	{   0x00   /*   */,    0x83,0x76   /*    */    },   // 54
	{   0xCD   /*  */,    0x83,0x77   /*  */    },   // 55
	{   0x00   /*   */,    0x83,0x78   /*    */    },   // 56
	{   0x00   /*   */,    0x83,0x79   /*    */    },   // 57
	{   0xCE   /*  */,    0x83,0x7A   /*  */    },   // 58
	{   0x00   /*   */,    0x83,0x7B   /*    */    },   // 59
	{   0x00   /*   */,    0x83,0x7C   /*    */    },   // 60
	{   0xCF   /*  */,    0x83,0x7D   /*  */    },   // 61
	{   0xD0   /*  */,    0x83,0x7E   /*  */    },   // 62
	{   0x00   /*   */,    0x83,0x7F   /*    */    },   // 63
	{   0xD1   /*  */,    0x83,0x80   /*  */    },   // 64
	{   0xD2   /*  */,    0x83,0x81   /*  */    },   // 65
	{   0xD3   /*  */,    0x83,0x82   /*  */    },   // 66
	{   0xAC   /*  */,    0x83,0x83   /*  */    },   // 67
	{   0xD4   /*  */,    0x83,0x84   /*  */    },   // 68
	{   0xAD   /*  */,    0x83,0x85   /*  */    },   // 69
	{   0xD5   /*  */,    0x83,0x86   /*  */    },   // 70
	{   0xAE   /*  */,    0x83,0x87   /*  */    },   // 71
	{   0xD6   /*  */,    0x83,0x88   /*  */    },   // 72
	{   0xD7   /*  */,    0x83,0x89   /*  */    },   // 73
	{   0xD8   /*  */,    0x83,0x8A   /*  */    },   // 74
	{   0xD9   /*  */,    0x83,0x8B   /*  */    },   // 75
	{   0xDA   /*  */,    0x83,0x8C   /*  */    },   // 76
	{   0xDB   /*  */,    0x83,0x8D   /*  */    },   // 77
	{   0xDC   /*  */,    0x83,0x8E   /*  */    },   // 78
	{   0xDC   /*  */,    0x83,0x8F   /*  */    },   // 79
	{   0x00   /*   */,    0x83,0x90   /*    */    },   // 80
	{   0x00   /*   */,    0x83,0x91   /*    */    },   // 81
	{   0xA6   /*  */,    0x83,0x92   /*  */    },   // 82
	{   0xDD   /*  */,    0x83,0x93   /*  */    },   // 83
	{   0x00   /*   */,    0x83,0x94   /*    */    },   // 84
	{   0xB6   /*  */,    0x83,0x95   /*  */    },   // 85
	{   0xB9   /*  */,    0x83,0x96   /*  */    }    // 86
};


// for SJIS ȾASCIIASCII
static  hz1 s_ahz[S_AHZ_SIZE] = 
{
	{   0x20   /*   */,    0x81,0x40   /*  */    },   // 0
	{   0x21   /* ! */,    0x81,0x49   /*  */    },   // 1
	{   0x22   /* " */,    0x81,0x68   /*  */    },   // 2
	{   0x23   /* # */,    0x81,0x94   /*  */    },   // 3
	{   0x24   /* $ */,    0x81,0x90   /*  */    },   // 4
	{   0x25   /* % */,    0x81,0x93   /*  */    },   // 5
	{   0x26   /* & */,    0x81,0x95   /*  */    },   // 6
	{   0x27   /* ' */,    0x81,0x66   /*  */    },   // 7
	{   0x28   /* ( */,    0x81,0x69   /*  */    },   // 8
	{   0x29   /* ) */,    0x81,0x6a   /*  */    },   // 9
	{   0x2A   /* * */,    0x81,0x96   /*  */    },   // 10
	{   0x2B   /* + */,    0x81,0x7b   /*  */    },   // 11
	{   0x2C   /* , */,    0x81,0x43   /*  */    },   // 12
	{   0x2D   /* - */,    0x81,0x5b   /*  */    },   // 13
	{   0x2E   /* . */,    0x81,0x44   /*  */    },   // 14
	{   0x2F   /* / */,    0x81,0x5e   /*  */    },   // 15
	{   0x30   /* 0 */,    0x82,0x4f   /*  */    },   // 16
	{   0x31   /* 1 */,    0x82,0x50   /*  */    },   // 17
	{   0x32   /* 2 */,    0x82,0x51   /*  */    },   // 18
	{   0x33   /* 3 */,    0x82,0x52   /*  */    },   // 19
	{   0x34   /* 4 */,    0x82,0x53   /*  */    },   // 20
	{   0x35   /* 5 */,    0x82,0x54   /*  */    },   // 21
	{   0x36   /* 6 */,    0x82,0x55   /*  */    },   // 22
	{   0x37   /* 7 */,    0x82,0x56   /*  */    },   // 23
	{   0x38   /* 8 */,    0x82,0x57   /*  */    },   // 24
	{   0x39   /* 9 */,    0x82,0x58   /*  */    },   // 25
	{   0x3A   /* : */,    0x81,0x46   /*  */    },   // 26
	{   0x3B   /* ; */,    0x81,0x47   /*  */    },   // 27
	{   0x3C   /* < */,    0x81,0x83   /*  */    },   // 28
	{   0x3D   /* = */,    0x81,0x81   /*  */    },   // 29
	{   0x3E   /* > */,    0x81,0x84   /*  */    },   // 30
	{   0x3F   /* ? */,    0x81,0x48   /*  */    },   // 31
	{   0x40   /* @ */,    0x81,0x97   /*  */    },   // 32
	{   0x41   /* A */,    0x82,0x60   /*  */    },   // 33
	{   0x42   /* B */,    0x82,0x61   /*  */    },   // 34
	{   0x43   /* C */,    0x82,0x62   /*  */    },   // 35
	{   0x44   /* D */,    0x82,0x63   /*  */    },   // 36
	{   0x45   /* E */,    0x82,0x64   /*  */    },   // 37
	{   0x46   /* F */,    0x82,0x65   /*  */    },   // 38
	{   0x47   /* G */,    0x82,0x66   /*  */    },   // 39
	{   0x48   /* H */,    0x82,0x67   /*  */    },   // 40
	{   0x49   /* I */,    0x82,0x68   /*  */    },   // 41
	{   0x4A   /* J */,    0x82,0x69   /*  */    },   // 42
	{   0x4B   /* K */,    0x82,0x6a   /*  */    },   // 43
	{   0x4C   /* L */,    0x82,0x6b   /*  */    },   // 44
	{   0x4D   /* M */,    0x82,0x6c   /*  */    },   // 45
	{   0x4E   /* N */,    0x82,0x6d   /*  */    },   // 46
	{   0x4F   /* O */,    0x82,0x6e   /*  */    },   // 47
	{   0x50   /* P */,    0x82,0x6f   /*  */    },   // 48
	{   0x51   /* Q */,    0x82,0x70   /*  */    },   // 49
	{   0x52   /* R */,    0x82,0x71   /*  */    },   // 50
	{   0x53   /* S */,    0x82,0x72   /*  */    },   // 51
	{   0x54   /* T */,    0x82,0x73   /*  */    },   // 52
	{   0x55   /* U */,    0x82,0x74   /*  */    },   // 53
	{   0x56   /* V */,    0x82,0x75   /*  */    },   // 54
	{   0x57   /* W */,    0x82,0x76   /*  */    },   // 55
	{   0x58   /* X */,    0x82,0x77   /*  */    },   // 56
	{   0x59   /* Y */,    0x82,0x78   /*  */    },   // 57
	{   0x5A   /* Z */,    0x82,0x79   /*  */    },   // 58
	{   0x5B   /* [ */,    0x81,0x6d   /*  */    },   // 59
	{   0x5C   /* \ */,    0x81,0x8f   /*  */    },   // 60
	{   0x5D   /* ] */,    0x81,0x6e   /*  */    },   // 61
	{   0x5E   /* ^ */,    0x81,0x4f   /*  */    },   // 62
	{   0x5F   /* _ */,    0x81,0x51   /*  */    },   // 63
	{   0x60   /* ` */,    0x81,0x4d   /*  */    },   // 64
	{   0x61   /* a */,    0x82,0x81   /*  */    },   // 65
	{   0x62   /* b */,    0x82,0x82   /*  */    },   // 66
	{   0x63   /* c */,    0x82,0x83   /*  */    },   // 67
	{   0x64   /* d */,    0x82,0x84   /*  */    },   // 68
	{   0x65   /* e */,    0x82,0x85   /*  */    },   // 69
	{   0x66   /* f */,    0x82,0x86   /*  */    },   // 70
	{   0x67   /* g */,    0x82,0x87   /*  */    },   // 71
	{   0x68   /* h */,    0x82,0x88   /*  */    },   // 72
	{   0x69   /* i */,    0x82,0x89   /*  */    },   // 73
	{   0x6A   /* j */,    0x82,0x8a   /*  */    },   // 74
	{   0x6B   /* k */,    0x82,0x8b   /*  */    },   // 75
	{   0x6C   /* l */,    0x82,0x8c   /*  */    },   // 76
	{   0x6D   /* m */,    0x82,0x8d   /*  */    },   // 77
	{   0x6E   /* n */,    0x82,0x8e   /*  */    },   // 78
	{   0x6F   /* o */,    0x82,0x8f   /*  */    },   // 79
	{   0x70   /* p */,    0x82,0x90   /*  */    },   // 80
	{   0x71   /* q */,    0x82,0x91   /*  */    },   // 81
	{   0x72   /* r */,    0x82,0x92   /*  */    },   // 82
	{   0x73   /* s */,    0x82,0x93   /*  */    },   // 83
	{   0x74   /* t */,    0x82,0x94   /*  */    },   // 84
	{   0x75   /* u */,    0x82,0x95   /*  */    },   // 85
	{   0x76   /* v */,    0x82,0x96   /*  */    },   // 86
	{   0x77   /* w */,    0x82,0x97   /*  */    },   // 87
	{   0x78   /* x */,    0x82,0x98   /*  */    },   // 88
	{   0x79   /* y */,    0x82,0x99   /*  */    },   // 89
	{   0x7A   /* z */,    0x82,0x9a   /*  */    },   // 90
	{   0x7B   /* { */,    0x81,0x6f   /*  */    },   // 91
	{   0x7C   /* | */,    0x81,0x62   /*  */    },   // 92
	{   0x7D   /* } */,    0x81,0x70   /*  */    },   // 93
	{   0x7E   /* ~ */,    0x81,0x60   /*  */    }    // 94
};


// for SJIS ASCIIȾASCII
static  hz1 s_azh1[S_AZH1_SIZE] = 
{
	{   0x20   /*   */,    0x81,0x40   /*  */    },   // 0
	{   0x00   /*   */,    0x81,0x41   /*    */    },   // 1
	{   0x00   /*   */,    0x81,0x42   /*    */    },   // 2
	{   0x2C   /* , */,    0x81,0x43   /*  */    },   // 3
	{   0x2E   /* . */,    0x81,0x44   /*  */    },   // 4
	{   0x00   /*   */,    0x81,0x45   /*    */    },   // 5
	{   0x3A   /* : */,    0x81,0x46   /*  */    },   // 6
	{   0x3B   /* ; */,    0x81,0x47   /*  */    },   // 7
	{   0x3F   /* ? */,    0x81,0x48   /*  */    },   // 8
	{   0x21   /* ! */,    0x81,0x49   /*  */    },   // 9
	{   0x00   /*   */,    0x81,0x4A   /*    */    },   // 10
	{   0x00   /*   */,    0x81,0x4B   /*    */    },   // 11
	{   0x00   /*   */,    0x81,0x4C   /*    */    },   // 12
	{   0x60   /* ` */,    0x81,0x4d   /*  */    },   // 13
	{   0x00   /*   */,    0x81,0x4E   /*    */    },   // 14
	{   0x5E   /* ^ */,    0x81,0x4f   /*  */    },   // 15
	{   0x00   /*   */,    0x81,0x50   /*    */    },   // 16
	{   0x5F   /* _ */,    0x81,0x51   /*  */    },   // 17
	{   0x00   /*   */,    0x81,0x52   /*    */    },   // 18
	{   0x00   /*   */,    0x81,0x53   /*    */    },   // 19
	{   0x00   /*   */,    0x81,0x54   /*    */    },   // 20
	{   0x00   /*   */,    0x81,0x55   /*    */    },   // 21
	{   0x00   /*   */,    0x81,0x56   /*    */    },   // 22
	{   0x00   /*   */,    0x81,0x57   /*    */    },   // 23
	{   0x00   /*   */,    0x81,0x58   /*    */    },   // 24
	{   0x00   /*   */,    0x81,0x59   /*    */    },   // 25
	{   0x00   /*   */,    0x81,0x5A   /*    */    },   // 26
	{   0x2D   /* - */,    0x81,0x5b   /*  */    },   // 27
	{   0x00   /*   */,    0x81,0x5C   /*    */    },   // 28
	{   0x00   /*   */,    0x81,0x5D   /*    */    },   // 29
	{   0x2F   /* / */,    0x81,0x5e   /*  */    },   // 30
	{   0x00   /*   */,    0x81,0x5F   /*    */    },   // 31
	{   0x7E   /* ~ */,    0x81,0x60   /*  */    },   // 32
	{   0x00   /*   */,    0x81,0x61   /*    */    },   // 33
	{   0x7C   /* | */,    0x81,0x62   /*  */    },   // 34
	{   0x00   /*   */,    0x81,0x63   /*    */    },   // 35
	{   0x00   /*   */,    0x81,0x64   /*    */    },   // 36
	{   0x00   /*   */,    0x81,0x65   /*    */    },   // 37
	{   0x27   /* ' */,    0x81,0x66   /*  */    },   // 38
	{   0x00   /*   */,    0x81,0x67   /*    */    },   // 39
	{   0x22   /* " */,    0x81,0x68   /*  */    },   // 40
	{   0x28   /* ( */,    0x81,0x69   /*  */    },   // 41
	{   0x29   /* ) */,    0x81,0x6a   /*  */    },   // 42
	{   0x00   /*   */,    0x81,0x6B   /*    */    },   // 43
	{   0x00   /*   */,    0x81,0x6C   /*    */    },   // 44
	{   0x5B   /* [ */,    0x81,0x6d   /*  */    },   // 45
	{   0x5D   /* ] */,    0x81,0x6e   /*  */    },   // 46
	{   0x7B   /* { */,    0x81,0x6f   /*  */    },   // 47
	{   0x7D   /* } */,    0x81,0x70   /*  */    },   // 48
	{   0x00   /*   */,    0x81,0x71   /*    */    },   // 49
	{   0x00   /*   */,    0x81,0x72   /*    */    },   // 50
	{   0x00   /*   */,    0x81,0x73   /*    */    },   // 51
	{   0x00   /*   */,    0x81,0x74   /*    */    },   // 52
	{   0x00   /*   */,    0x81,0x75   /*    */    },   // 53
	{   0x00   /*   */,    0x81,0x76   /*    */    },   // 54
	{   0x00   /*   */,    0x81,0x77   /*    */    },   // 55
	{   0x00   /*   */,    0x81,0x78   /*    */    },   // 56
	{   0x00   /*   */,    0x81,0x79   /*    */    },   // 57
	{   0x00   /*   */,    0x81,0x7A   /*    */    },   // 58
	{   0x2B   /* + */,    0x81,0x7b   /*  */    },   // 59
	{   0x00   /*   */,    0x81,0x7C   /*    */    },   // 60
	{   0x00   /*   */,    0x81,0x7D   /*    */    },   // 61
	{   0x00   /*   */,    0x81,0x7E   /*    */    },   // 62
	{   0x00   /*   */,    0x81,0x7F   /*    */    },   // 63
	{   0x00   /*   */,    0x81,0x80   /*    */    },   // 64
	{   0x3D   /* = */,    0x81,0x81   /*  */    },   // 65
	{   0x00   /*   */,    0x81,0x82   /*    */    },   // 66
	{   0x3C   /* < */,    0x81,0x83   /*  */    },   // 67
	{   0x3E   /* > */,    0x81,0x84   /*  */    },   // 68
	{   0x00   /*   */,    0x81,0x85   /*    */    },   // 69
	{   0x00   /*   */,    0x81,0x86   /*    */    },   // 70
	{   0x00   /*   */,    0x81,0x87   /*    */    },   // 71
	{   0x00   /*   */,    0x81,0x88   /*    */    },   // 72
	{   0x00   /*   */,    0x81,0x89   /*    */    },   // 73
	{   0x00   /*   */,    0x81,0x8A   /*    */    },   // 74
	{   0x00   /*   */,    0x81,0x8B   /*    */    },   // 75
	{   0x00   /*   */,    0x81,0x8C   /*    */    },   // 76
	{   0x00   /*   */,    0x81,0x8D   /*    */    },   // 77
	{   0x00   /*   */,    0x81,0x8E   /*    */    },   // 78
	{   0x5C   /* \ */,    0x81,0x8f   /*  */    },   // 79
	{   0x24   /* $ */,    0x81,0x90   /*  */    },   // 80
	{   0x00   /*   */,    0x81,0x91   /*    */    },   // 81
	{   0x00   /*   */,    0x81,0x92   /*    */    },   // 82
	{   0x25   /* % */,    0x81,0x93   /*  */    },   // 83
	{   0x23   /* # */,    0x81,0x94   /*  */    },   // 84
	{   0x26   /* & */,    0x81,0x95   /*  */    },   // 85
	{   0x2A   /* * */,    0x81,0x96   /*  */    },   // 86
	{   0x40   /* @ */,    0x81,0x97   /*  */    }    // 87
};

// for SJIS ASCIIȾASCII
static  hz1 s_azh2[S_AZH1_SIZE] = 
{
	{   0x30   /* 0 */,    0x82,0x4f   /*  */    },   // 0
	{   0x31   /* 1 */,    0x82,0x50   /*  */    },   // 1
	{   0x32   /* 2 */,    0x82,0x51   /*  */    },   // 2
	{   0x33   /* 3 */,    0x82,0x52   /*  */    },   // 3
	{   0x34   /* 4 */,    0x82,0x53   /*  */    },   // 4
	{   0x35   /* 5 */,    0x82,0x54   /*  */    },   // 5
	{   0x36   /* 6 */,    0x82,0x55   /*  */    },   // 6
	{   0x37   /* 7 */,    0x82,0x56   /*  */    },   // 7
	{   0x38   /* 8 */,    0x82,0x57   /*  */    },   // 8
	{   0x39   /* 9 */,    0x82,0x58   /*  */    },   // 9
	{   0x00   /*   */,    0x82,0x59   /*    */    },   // 10
	{   0x00   /*   */,    0x82,0x5A   /*    */    },   // 11
	{   0x00   /*   */,    0x82,0x5B   /*    */    },   // 12
	{   0x00   /*   */,    0x82,0x5C   /*    */    },   // 13
	{   0x00   /*   */,    0x82,0x5D   /*    */    },   // 14
	{   0x00   /*   */,    0x82,0x5E   /*    */    },   // 15
	{   0x00   /*   */,    0x82,0x6F   /*    */    },   // 16
	{   0x41   /* A */,    0x82,0x60   /*  */    },   // 17
	{   0x42   /* B */,    0x82,0x61   /*  */    },   // 18
	{   0x43   /* C */,    0x82,0x62   /*  */    },   // 19
	{   0x44   /* D */,    0x82,0x63   /*  */    },   // 20
	{   0x45   /* E */,    0x82,0x64   /*  */    },   // 21
	{   0x46   /* F */,    0x82,0x65   /*  */    },   // 22
	{   0x47   /* G */,    0x82,0x66   /*  */    },   // 23
	{   0x48   /* H */,    0x82,0x67   /*  */    },   // 24
	{   0x49   /* I */,    0x82,0x68   /*  */    },   // 25
	{   0x4A   /* J */,    0x82,0x69   /*  */    },   // 26
	{   0x4B   /* K */,    0x82,0x6a   /*  */    },   // 27
	{   0x4C   /* L */,    0x82,0x6b   /*  */    },   // 28
	{   0x4D   /* M */,    0x82,0x6c   /*  */    },   // 29
	{   0x4E   /* N */,    0x82,0x6d   /*  */    },   // 30
	{   0x4F   /* O */,    0x82,0x6e   /*  */    },   // 31
	{   0x50   /* P */,    0x82,0x6f   /*  */    },   // 32
	{   0x51   /* Q */,    0x82,0x70   /*  */    },   // 33
	{   0x52   /* R */,    0x82,0x71   /*  */    },   // 34
	{   0x53   /* S */,    0x82,0x72   /*  */    },   // 35
	{   0x54   /* T */,    0x82,0x73   /*  */    },   // 36
	{   0x55   /* U */,    0x82,0x74   /*  */    },   // 37
	{   0x56   /* V */,    0x82,0x75   /*  */    },   // 38
	{   0x57   /* W */,    0x82,0x76   /*  */    },   // 39
	{   0x58   /* X */,    0x82,0x77   /*  */    },   // 40
	{   0x59   /* Y */,    0x82,0x78   /*  */    },   // 41
	{   0x5A   /* Z */,    0x82,0x79   /*  */    },   // 42
	{   0x00   /*   */,    0x82,0x7A   /*    */    },   // 43
	{   0x00   /*   */,    0x82,0x7B   /*    */    },   // 44
	{   0x00   /*   */,    0x82,0x7C   /*    */    },   // 45
	{   0x00   /*   */,    0x82,0x7D   /*    */    },   // 46
	{   0x00   /*   */,    0x82,0x7E   /*    */    },   // 47
	{   0x00   /*   */,    0x82,0x7F   /*    */    },   // 48
	{   0x00   /*   */,    0x82,0x80   /*    */    },   // 49
	{   0x61   /* a */,    0x82,0x81   /*  */    },   // 50
	{   0x62   /* b */,    0x82,0x82   /*  */    },   // 51
	{   0x63   /* c */,    0x82,0x83   /*  */    },   // 52
	{   0x64   /* d */,    0x82,0x84   /*  */    },   // 53
	{   0x65   /* e */,    0x82,0x85   /*  */    },   // 54
	{   0x66   /* f */,    0x82,0x86   /*  */    },   // 55
	{   0x67   /* g */,    0x82,0x87   /*  */    },   // 56
	{   0x68   /* h */,    0x82,0x88   /*  */    },   // 57
	{   0x69   /* i */,    0x82,0x89   /*  */    },   // 58
	{   0x6A   /* j */,    0x82,0x8a   /*  */    },   // 59
	{   0x6B   /* k */,    0x82,0x8b   /*  */    },   // 60
	{   0x6C   /* l */,    0x82,0x8c   /*  */    },   // 61
	{   0x6D   /* m */,    0x82,0x8d   /*  */    },   // 62
	{   0x6E   /* n */,    0x82,0x8e   /*  */    },   // 63
	{   0x6F   /* o */,    0x82,0x8f   /*  */    },   // 64
	{   0x70   /* p */,    0x82,0x90   /*  */    },   // 65
	{   0x71   /* q */,    0x82,0x91   /*  */    },   // 66
	{   0x72   /* r */,    0x82,0x92   /*  */    },   // 67
	{   0x73   /* s */,    0x82,0x93   /*  */    },   // 68
	{   0x74   /* t */,    0x82,0x94   /*  */    },   // 69
	{   0x75   /* u */,    0x82,0x95   /*  */    },   // 70
	{   0x76   /* v */,    0x82,0x96   /*  */    },   // 71
	{   0x77   /* w */,    0x82,0x97   /*  */    },   // 72
	{   0x78   /* x */,    0x82,0x98   /*  */    },   // 73
	{   0x79   /* y */,    0x82,0x99   /*  */    },   // 74
	{   0x7A   /* z */,    0x82,0x9a   /*  */    }    // 75
};



// for EUC ȾNo1
static  hz2 e_dhz1[E_DHZ1_SIZE] = 
{
	{   0xB3,0xDE   /*  */,   0xA5,0xF4   /*  */    },   // 0
	{   0xB4,0xDE   /*    */,   0x00,0x00   /*    */    },   // 1
	{   0xB5,0xDE   /*    */,   0x00,0x00   /*    */    },   // 2
	{   0xB6,0xDE   /*  */,   0xA5,0xAC   /*  */    },   // 3
	{   0xB7,0xDE   /*  */,   0xA5,0xAE   /*  */    },   // 4
	{   0xB8,0xDE   /*  */,   0xA5,0xB0   /*  */    },   // 5
	{   0xB9,0xDE   /*  */,   0xA5,0xB2   /*  */    },   // 6
	{   0xBA,0xDE   /*  */,   0xA5,0xB4   /*  */    },   // 7
	{   0xBB,0xDE   /*  */,   0xA5,0xB6   /*  */    },   // 8
	{   0xBC,0xDE   /*  */,   0xA5,0xB8   /*  */    },   // 9
	{   0xBD,0xDE   /*  */,   0xA5,0xBA   /*  */    },   // 10
	{   0xBE,0xDE   /*  */,   0xA5,0xBC   /*  */    },   // 11
	{   0xBF,0xDE   /*  */,   0xA5,0xBE   /*  */    },   // 12
	{   0xC0,0xDE   /*  */,   0xA5,0xC0   /*  */    },   // 13
	{   0xC1,0xDE   /*  */,   0xA5,0xC2   /*  */    },   // 14
	{   0xC2,0xDE   /*  */,   0xA5,0xC5   /*  */    },   // 15
	{   0xC3,0xDE   /* Î */,   0xA5,0xC7   /*  */    },   // 16
	{   0xC4,0xDE   /* Ď */,   0xA5,0xC9   /*  */    },   // 17
	{   0xC5,0xDE   /*    */,   0x00,0x00   /*    */    },   // 18
	{   0xC6,0xDE   /*    */,   0x00,0x00   /*    */    },   // 19
	{   0xC7,0xDE   /*    */,   0x00,0x00   /*    */    },   // 20
	{   0xC8,0xDE   /*    */,   0x00,0x00   /*    */    },   // 21
	{   0xC9,0xDE   /*    */,   0x00,0x00   /*    */    },   // 22
	{   0xCA,0xDE   /* ʎ */,   0xA5,0xD0   /*  */    },   // 23
	{   0xCB,0xDE   /* ˎ */,   0xA5,0xD3   /*  */    },   // 24
	{   0xCC,0xDE   /* ̎ */,   0xA5,0xD6   /*  */    },   // 25
	{   0xCD,0xDE   /* ͎ */,   0xA5,0xD9   /*  */    },   // 26
	{   0xCE,0xDE   /* Ύ */,   0xA5,0xDC   /*  */    }    // 27
};

// for EUC ȾNo2
static  hz2 e_dhz2[E_DHZ2_SIZE] = 
{
	{   0xCA,0xDF   /* ʎ */,   0xA5,0xD1   /*  */    },   // 0
	{   0xCB,0xDF   /* ˎ */,   0xA5,0xD4   /*  */    },   // 1
	{   0xCC,0xDF   /* ̎ */,   0xA5,0xD7   /*  */    },   // 2
	{   0xCD,0xDF   /* ͎ */,   0xA5,0xDA   /*  */    },   // 3
	{   0xCE,0xDF   /* Ύ */,   0xA5,0xDD   /*  */    }    // 4
};

// for EUC Ⱦ
static  hz2 e_dzh[E_DZH_SIZE] = 
{
	{   0xB6,0xDE   /*  */,   0xA5,0xAC   /*  */    },   // 0
	{   0x00,0x00   /*    */,   0xA5,0xAD   /*    */    },   // 1
	{   0xB7,0xDE   /*  */,   0xA5,0xAE   /*  */    },   // 2
	{   0x00,0x00   /*    */,   0xA5,0xAF   /*    */    },   // 3
	{   0xB8,0xDE   /*  */,   0xA5,0xB0   /*  */    },   // 4
	{   0x00,0x00   /*    */,   0xA5,0xB1   /*    */    },   // 5
	{   0xB9,0xDE   /*  */,   0xA5,0xB2   /*  */    },   // 6
	{   0x00,0x00   /*    */,   0xA5,0xB3   /*    */    },   // 7
	{   0xBA,0xDE   /*  */,   0xA5,0xB4   /*  */    },   // 8
	{   0x00,0x00   /*    */,   0xA5,0xB5   /*    */    },   // 9
	{   0xBB,0xDE   /*  */,   0xA5,0xB6   /*  */    },   // 10
	{   0x00,0x00   /*    */,   0xA5,0xB7   /*    */    },   // 11
	{   0xBC,0xDE   /*  */,   0xA5,0xB8   /*  */    },   // 12
	{   0x00,0x00   /*    */,   0xA5,0xB9   /*    */    },   // 13
	{   0xBD,0xDE   /*  */,   0xA5,0xBA   /*  */    },   // 14
	{   0x00,0x00   /*    */,   0xA5,0xBB   /*    */    },   // 15
	{   0xBE,0xDE   /*  */,   0xA5,0xBC   /*  */    },   // 16
	{   0x00,0x00   /*    */,   0xA5,0xBD   /*    */    },   // 17
	{   0xBF,0xDE   /*  */,   0xA5,0xBE   /*  */    },   // 18
	{   0x00,0x00   /*    */,   0xA5,0xBF   /*    */    },   // 19
	{   0xC0,0xDE   /*  */,   0xA5,0xC0   /*  */    },   // 20
	{   0x00,0x00   /*    */,   0xA5,0xC1   /*    */    },   // 21
	{   0xC1,0xDE   /*  */,   0xA5,0xC2   /*  */    },   // 22
	{   0x00,0x00   /*    */,   0xA5,0xC3   /*    */    },   // 23
	{   0x00,0x00   /*    */,   0xA5,0xC4   /*    */    },   // 24
	{   0xC2,0xDE   /*  */,   0xA5,0xC5   /*  */    },   // 25
	{   0x00,0x00   /*    */,   0xA5,0xC6   /*    */    },   // 26
	{   0xC3,0xDE   /* Î */,   0xA5,0xC7   /*  */    },   // 27
	{   0x00,0x00   /*    */,   0xA5,0xC8   /*    */    },   // 28
	{   0xC4,0xDE   /* Ď */,   0xA5,0xC9   /*  */    },   // 29
	{   0x00,0x00   /*    */,   0xA5,0xCA   /*    */    },   // 30
	{   0x00,0x00   /*    */,   0xA5,0xCB   /*    */    },   // 31
	{   0x00,0x00   /*    */,   0xA5,0xCC   /*    */    },   // 32
	{   0x00,0x00   /*    */,   0xA5,0xCD   /*    */    },   // 33
	{   0x00,0x00   /*    */,   0xA5,0xCE   /*    */    },   // 34
	{   0x00,0x00   /*    */,   0xA5,0xCF   /*    */    },   // 35
	{   0xCA,0xDE   /* ʎ */,   0xA5,0xD0   /*  */    },   // 36
	{   0xCA,0xDF   /* ʎ */,   0xA5,0xD1   /*  */    },   // 37
	{   0x00,0x00   /*    */,   0xA5,0xD2   /*    */    },   // 38
	{   0xCB,0xDE   /* ˎ */,   0xA5,0xD3   /*  */    },   // 39
	{   0xCB,0xDF   /* ˎ */,   0xA5,0xD4   /*  */    },   // 40
	{   0x00,0x00   /*    */,   0xA5,0xD5   /*    */    },   // 41
	{   0xCC,0xDE   /* ̎ */,   0xA5,0xD6   /*  */    },   // 42
	{   0xCC,0xDF   /* ̎ */,   0xA5,0xD7   /*  */    },   // 43
	{   0x00,0x00   /*    */,   0xA5,0xD8   /*    */    },   // 44
	{   0xCD,0xDE   /* ͎ */,   0xA5,0xD9   /*  */    },   // 45
	{   0xCD,0xDF   /* ͎ */,   0xA5,0xDA   /*  */    },   // 46
	{   0x00,0x00   /*    */,   0xA5,0xDB   /*    */    },   // 47
	{   0xCE,0xDE   /* Ύ */,   0xA5,0xDC   /*  */    },   // 48
	{   0xCE,0xDF   /* Ύ */,   0xA5,0xDD   /*  */    },   // 49
	{   0x00,0x00   /*    */,   0xA5,0xDE   /*    */    },   // 50
	{   0x00,0x00   /*    */,   0xA5,0xDF   /*    */    },   // 51
	{   0x00,0x00   /*    */,   0xA5,0xE0   /*    */    },   // 52
	{   0x00,0x00   /*    */,   0xA5,0xE1   /*    */    },   // 53
	{   0x00,0x00   /*    */,   0xA5,0xE2   /*    */    },   // 54
	{   0x00,0x00   /*    */,   0xA5,0xE3   /*    */    },   // 55
	{   0x00,0x00   /*    */,   0xA5,0xE4   /*    */    },   // 56
	{   0x00,0x00   /*    */,   0xA5,0xE5   /*    */    },   // 57
	{   0x00,0x00   /*    */,   0xA5,0xE6   /*    */    },   // 58
	{   0x00,0x00   /*    */,   0xA5,0xE7   /*    */    },   // 59
	{   0x00,0x00   /*    */,   0xA5,0xE8   /*    */    },   // 60
	{   0x00,0x00   /*    */,   0xA5,0xE9   /*    */    },   // 61
	{   0x00,0x00   /*    */,   0xA5,0xEA   /*    */    },   // 62
	{   0x00,0x00   /*    */,   0xA5,0xEB   /*    */    },   // 63
	{   0x00,0x00   /*    */,   0xA5,0xEC   /*    */    },   // 64
	{   0x00,0x00   /*    */,   0xA5,0xED   /*    */    },   // 65
	{   0x00,0x00   /*    */,   0xA5,0xEE   /*    */    },   // 66
	{   0x00,0x00   /*    */,   0xA5,0xEF   /*    */    },   // 67
	{   0x00,0x00   /*    */,   0xA5,0xF0   /*    */    },   // 68
	{   0x00,0x00   /*    */,   0xA5,0xF1   /*    */    },   // 69
	{   0x00,0x00   /*    */,   0xA5,0xF2   /*    */    },   // 70
	{   0x00,0x00   /*    */,   0xA5,0xF3   /*    */    },   // 71
	{   0xB3,0xDE   /*  */,   0xA5,0xF4   /*  */    }    // 72
};


// for EUC ȾѤʢѤ
static  hz1 e_khz[E_KHZ_SIZE] = 
{
	{   0xA1   /*  */,    0xA1,0xA3   /*  */    },   // 0
	{   0xA2   /*  */,    0xA1,0xD6   /*  */    },   // 1
	{   0xA3   /*  */,    0xA1,0xD7   /*  */    },   // 2
	{   0xA4   /*  */,    0xA1,0xA2   /*  */    },   // 3
	{   0xA5   /*  */,    0xA1,0xA6   /*  */    },   // 4
	{   0xA6   /*  */,    0xA5,0xF2   /*  */    },   // 5
	{   0xA7   /*  */,    0xA5,0xA1   /*  */    },   // 6
	{   0xA8   /*  */,    0xA5,0xA3   /*  */    },   // 7
	{   0xA9   /*  */,    0xA5,0xA5   /*  */    },   // 8
	{   0xAA   /*  */,    0xA5,0xA7   /*  */    },   // 9
	{   0xAB   /*  */,    0xA5,0xA9   /*  */    },   // 10
	{   0xAC   /*  */,    0xA5,0xE3   /*  */    },   // 11
	{   0xAD   /*  */,    0xA5,0xE5   /*  */    },   // 12
	{   0xAE   /*  */,    0xA5,0xE7   /*  */    },   // 13
	{   0xAF   /*  */,    0xA5,0xC3   /*  */    },   // 14
	{   0xB0   /*  */,    0xA1,0xBC   /*  */    },   // 15
	{   0xB1   /*  */,    0xA5,0xA2   /*  */    },   // 16
	{   0xB2   /*  */,    0xA5,0xA4   /*  */    },   // 17
	{   0xB3   /*  */,    0xA5,0xA6   /*  */    },   // 18
	{   0xB4   /*  */,    0xA5,0xA8   /*  */    },   // 19
	{   0xB5   /*  */,    0xA5,0xAA   /*  */    },   // 20
	{   0xB6   /*  */,    0xA5,0xAB   /*  */    },   // 21
	{   0xB7   /*  */,    0xA5,0xAD   /*  */    },   // 22
	{   0xB8   /*  */,    0xA5,0xAF   /*  */    },   // 23
	{   0xB9   /*  */,    0xA5,0xB1   /*  */    },   // 24
	{   0xBA   /*  */,    0xA5,0xB3   /*  */    },   // 25
	{   0xBB   /*  */,    0xA5,0xB5   /*  */    },   // 26
	{   0xBC   /*  */,    0xA5,0xB7   /*  */    },   // 27
	{   0xBD   /*  */,    0xA5,0xB9   /*  */    },   // 28
	{   0xBE   /*  */,    0xA5,0xBB   /*  */    },   // 29
	{   0xBF   /*  */,    0xA5,0xBD   /*  */    },   // 30
	{   0xC0   /*  */,    0xA5,0xBF   /*  */    },   // 31
	{   0xC1   /*  */,    0xA5,0xC1   /*  */    },   // 32
	{   0xC2   /*  */,    0xA5,0xC4   /*  */    },   // 33
	{   0xC3   /*  */,    0xA5,0xC6   /*  */    },   // 34
	{   0xC4   /*  */,    0xA5,0xC8   /*  */    },   // 35
	{   0xC5   /*  */,    0xA5,0xCA   /*  */    },   // 36
	{   0xC6   /*  */,    0xA5,0xCB   /*  */    },   // 37
	{   0xC7   /*  */,    0xA5,0xCC   /*  */    },   // 38
	{   0xC8   /*  */,    0xA5,0xCD   /*  */    },   // 39
	{   0xC9   /*  */,    0xA5,0xCE   /*  */    },   // 40
	{   0xCA   /*  */,    0xA5,0xCF   /*  */    },   // 41
	{   0xCB   /*  */,    0xA5,0xD2   /*  */    },   // 42
	{   0xCC   /*  */,    0xA5,0xD5   /*  */    },   // 43
	{   0xCD   /*  */,    0xA5,0xD8   /*  */    },   // 44
	{   0xCE   /*  */,    0xA5,0xDB   /*  */    },   // 45
	{   0xCF   /*  */,    0xA5,0xDE   /*  */    },   // 46
	{   0xD0   /*  */,    0xA5,0xDF   /*  */    },   // 47
	{   0xD1   /*  */,    0xA5,0xE0   /*  */    },   // 48
	{   0xD2   /*  */,    0xA5,0xE1   /*  */    },   // 49
	{   0xD3   /*  */,    0xA5,0xE2   /*  */    },   // 50
	{   0xD4   /*  */,    0xA5,0xE4   /*  */    },   // 51
	{   0xD5   /*  */,    0xA5,0xE6   /*  */    },   // 52
	{   0xD6   /*  */,    0xA5,0xE8   /*  */    },   // 53
	{   0xD7   /*  */,    0xA5,0xE9   /*  */    },   // 54
	{   0xD8   /*  */,    0xA5,0xEA   /*  */    },   // 55
	{   0xD9   /*  */,    0xA5,0xEB   /*  */    },   // 56
	{   0xDA   /*  */,    0xA5,0xEC   /*  */    },   // 57
	{   0xDB   /*  */,    0xA5,0xED   /*  */    },   // 58
	{   0xDC   /*  */,    0xA5,0xEF   /*  */    },   // 59
	{   0xDD   /*  */,    0xA5,0xF3   /*  */    },   // 60
	{   0xDE   /*  */,    0xA1,0xAB   /*  */    },   // 61
	{   0xDF   /*  */,    0xA1,0xAC   /*  */    }    // 62
};

// for EUC ѤʢȾѤNo1
static  hz1 e_kzh1[E_KZH1_SIZE] = 
{
	{   0xA4   /*  */,    0xA1,0xA2   /*  */    },   // 0
	{   0xA1   /*  */,    0xA1,0xA3   /*  */    },   // 1
	{   0x00   /*   */,    0xA1,0xA4   /*    */    },   // 2
	{   0x00   /*   */,    0xA1,0xA5   /*    */    },   // 3
	{   0xA5   /*  */,    0xA1,0xA6   /*  */    },   // 4
	{   0x00   /*   */,    0xA1,0xA7   /*    */    },   // 5
	{   0x00   /*   */,    0xA1,0xA8   /*    */    },   // 6
	{   0x00   /*   */,    0xA1,0xA9   /*    */    },   // 7
	{   0x00   /*   */,    0xA1,0xAA   /*    */    },   // 8
	{   0xDE   /*  */,    0xA1,0xAB   /*  */    },   // 9
	{   0xDF   /*  */,    0xA1,0xAC   /*  */    },   // 10
	{   0x00   /*   */,    0xA1,0xAD   /*    */    },   // 11
	{   0x00   /*   */,    0xA1,0xAE   /*    */    },   // 12
	{   0x00   /*   */,    0xA1,0xAF   /*    */    },   // 13
	{   0x00   /*   */,    0xA1,0xB0   /*    */    },   // 14
	{   0x00   /*   */,    0xA1,0xB1   /*    */    },   // 15
	{   0x00   /*   */,    0xA1,0xB2   /*    */    },   // 16
	{   0x00   /*   */,    0xA1,0xB3   /*    */    },   // 17
	{   0x00   /*   */,    0xA1,0xB4   /*    */    },   // 18
	{   0x00   /*   */,    0xA1,0xB5   /*    */    },   // 19
	{   0x00   /*   */,    0xA1,0xB6   /*    */    },   // 20
	{   0x00   /*   */,    0xA1,0xB7   /*    */    },   // 21
	{   0x00   /*   */,    0xA1,0xB8   /*    */    },   // 22
	{   0x00   /*   */,    0xA1,0xB9   /*    */    },   // 23
	{   0x00   /*   */,    0xA1,0xBA   /*    */    },   // 24
	{   0x00   /*   */,    0xA1,0xBB   /*    */    },   // 25
	{   0xB0   /*  */,    0xA1,0xBC   /*  */    },   // 26
	{   0x00   /*   */,    0xA1,0xBD   /*    */    },   // 27
	{   0x00   /*   */,    0xA1,0xBE   /*    */    },   // 28
	{   0x00   /*   */,    0xA1,0xBF   /*    */    },   // 29
	{   0x00   /*   */,    0xA1,0xC0   /*    */    },   // 30
	{   0x00   /*   */,    0xA1,0xC1   /*    */    },   // 31
	{   0x00   /*   */,    0xA1,0xC2   /*    */    },   // 32
	{   0x00   /*   */,    0xA1,0xC3   /*    */    },   // 33
	{   0x00   /*   */,    0xA1,0xC4   /*    */    },   // 34
	{   0x00   /*   */,    0xA1,0xC5   /*    */    },   // 35
	{   0x00   /*   */,    0xA1,0xC6   /*    */    },   // 36
	{   0x00   /*   */,    0xA1,0xC7   /*    */    },   // 37
	{   0x00   /*   */,    0xA1,0xC8   /*    */    },   // 38
	{   0x00   /*   */,    0xA1,0xC9   /*    */    },   // 39
	{   0x00   /*   */,    0xA1,0xCA   /*    */    },   // 40
	{   0x00   /*   */,    0xA1,0xCB   /*    */    },   // 41
	{   0x00   /*   */,    0xA1,0xCC   /*    */    },   // 42
	{   0x00   /*   */,    0xA1,0xCD   /*    */    },   // 43
	{   0x00   /*   */,    0xA1,0xCE   /*    */    },   // 44
	{   0x00   /*   */,    0xA1,0xCF   /*    */    },   // 45
	{   0x00   /*   */,    0xA1,0xD0   /*    */    },   // 46
	{   0x00   /*   */,    0xA1,0xD1   /*    */    },   // 47
	{   0x00   /*   */,    0xA1,0xD2   /*    */    },   // 48
	{   0x00   /*   */,    0xA1,0xD3   /*    */    },   // 49
	{   0x00   /*   */,    0xA1,0xD4   /*    */    },   // 50
	{   0x00   /*   */,    0xA1,0xD5   /*    */    },   // 51
	{   0xA2   /*  */,    0xA1,0xD6   /*  */    },   // 52
	{   0xA3   /*  */,    0xA1,0xD7   /*  */    }    // 53
};

// for EUC ѤʢȾѤNo2
static  hz1 e_kzh2[E_KZH2_SIZE] = 
{
	{   0xB6   /*  */,    0xA5,0x95   /*  */    },   // 0
	{   0xB9   /*  */,    0xA5,0x96   /*  */    },   // 1
	{   0x00   /*   */,    0xA5,0x97   /*    */    },   // 2
	{   0x00   /*   */,    0xA5,0x98   /*    */    },   // 3
	{   0x00   /*   */,    0xA5,0x99   /*    */    },   // 4
	{   0x00   /*   */,    0xA5,0x9A   /*    */    },   // 5
	{   0x00   /*   */,    0xA5,0x9B   /*    */    },   // 6
	{   0x00   /*   */,    0xA5,0x9C   /*    */    },   // 7
	{   0x00   /*   */,    0xA5,0x9D   /*    */    },   // 8
	{   0x00   /*   */,    0xA5,0x9E   /*    */    },   // 9
	{   0x00   /*   */,    0xA5,0x9F   /*    */    },   // 10
	{   0x00   /*   */,    0xA5,0xA0   /*    */    },   // 11
	{   0xA7   /*  */,    0xA5,0xA1   /*  */    },   // 12
	{   0xB1   /*  */,    0xA5,0xA2   /*  */    },   // 13
	{   0xA8   /*  */,    0xA5,0xA3   /*  */    },   // 14
	{   0xB2   /*  */,    0xA5,0xA4   /*  */    },   // 15
	{   0xA9   /*  */,    0xA5,0xA5   /*  */    },   // 16
	{   0xB3   /*  */,    0xA5,0xA6   /*  */    },   // 17
	{   0xAA   /*  */,    0xA5,0xA7   /*  */    },   // 18
	{   0xB4   /*  */,    0xA5,0xA8   /*  */    },   // 19
	{   0xAB   /*  */,    0xA5,0xA9   /*  */    },   // 20
	{   0xB5   /*  */,    0xA5,0xAA   /*  */    },   // 21
	{   0xB6   /*  */,    0xA5,0xAB   /*  */    },   // 22
	{   0x00   /*   */,    0xA5,0xAC   /*    */    },   // 23
	{   0xB7   /*  */,    0xA5,0xAD   /*  */    },   // 24
	{   0x00   /*   */,    0xA5,0xAE   /*    */    },   // 25
	{   0xB8   /*  */,    0xA5,0xAF   /*  */    },   // 26
	{   0x00   /*   */,    0xA5,0xB0   /*    */    },   // 27
	{   0xB9   /*  */,    0xA5,0xB1   /*  */    },   // 28
	{   0x00   /*   */,    0xA5,0xB2   /*    */    },   // 29
	{   0xBA   /*  */,    0xA5,0xB3   /*  */    },   // 30
	{   0x00   /*   */,    0xA5,0xB4   /*    */    },   // 31
	{   0xBB   /*  */,    0xA5,0xB5   /*  */    },   // 32
	{   0x00   /*   */,    0xA5,0xB6   /*    */    },   // 33
	{   0xBC   /*  */,    0xA5,0xB7   /*  */    },   // 34
	{   0x00   /*   */,    0xA5,0xB8   /*    */    },   // 35
	{   0xBD   /*  */,    0xA5,0xB9   /*  */    },   // 36
	{   0x00   /*   */,    0xA5,0xBA   /*    */    },   // 37
	{   0xBE   /*  */,    0xA5,0xBB   /*  */    },   // 38
	{   0x00   /*   */,    0xA5,0xBC   /*    */    },   // 39
	{   0xBF   /*  */,    0xA5,0xBD   /*  */    },   // 40
	{   0x00   /*   */,    0xA5,0xBE   /*    */    },   // 41
	{   0xC0   /*  */,    0xA5,0xBF   /*  */    },   // 42
	{   0x00   /*   */,    0xA5,0xC0   /*    */    },   // 43
	{   0xC1   /*  */,    0xA5,0xC1   /*  */    },   // 44
	{   0x00   /*   */,    0xA5,0xC2   /*    */    },   // 45
	{   0xAF   /*  */,    0xA5,0xC3   /*  */    },   // 46
	{   0xC2   /*  */,    0xA5,0xC4   /*  */    },   // 47
	{   0x00   /*   */,    0xA5,0xC5   /*    */    },   // 48
	{   0xC3   /*  */,    0xA5,0xC6   /*  */    },   // 49
	{   0x00   /*   */,    0xA5,0xC7   /*    */    },   // 50
	{   0xC4   /*  */,    0xA5,0xC8   /*  */    },   // 51
	{   0x00   /*   */,    0xA5,0xC9   /*    */    },   // 52
	{   0xC5   /*  */,    0xA5,0xCA   /*  */    },   // 53
	{   0xC6   /*  */,    0xA5,0xCB   /*  */    },   // 54
	{   0xC7   /*  */,    0xA5,0xCC   /*  */    },   // 55
	{   0xC8   /*  */,    0xA5,0xCD   /*  */    },   // 56
	{   0xC9   /*  */,    0xA5,0xCE   /*  */    },   // 57
	{   0xCA   /*  */,    0xA5,0xCF   /*  */    },   // 58
	{   0x00   /*   */,    0xA5,0xD0   /*    */    },   // 59
	{   0x00   /*   */,    0xA5,0xD1   /*    */    },   // 60
	{   0xCB   /*  */,    0xA5,0xD2   /*  */    },   // 61
	{   0x00   /*   */,    0xA5,0xD3   /*    */    },   // 62
	{   0x00   /*   */,    0xA5,0xD4   /*    */    },   // 63
	{   0xCC   /*  */,    0xA5,0xD5   /*  */    },   // 64
	{   0x00   /*   */,    0xA5,0xD6   /*    */    },   // 65
	{   0x00   /*   */,    0xA5,0xD7   /*    */    },   // 66
	{   0xCD   /*  */,    0xA5,0xD8   /*  */    },   // 67
	{   0x00   /*   */,    0xA5,0xD9   /*    */    },   // 68
	{   0x00   /*   */,    0xA5,0xDA   /*    */    },   // 69
	{   0xCE   /*  */,    0xA5,0xDB   /*  */    },   // 70
	{   0x00   /*   */,    0xA5,0xDC   /*    */    },   // 71
	{   0x00   /*   */,    0xA5,0xDD   /*    */    },   // 72
	{   0xCF   /*  */,    0xA5,0xDE   /*  */    },   // 73
	{   0xD0   /*  */,    0xA5,0xDF   /*  */    },   // 74
	{   0xD1   /*  */,    0xA5,0xE0   /*  */    },   // 75
	{   0xD2   /*  */,    0xA5,0xE1   /*  */    },   // 76
	{   0xD3   /*  */,    0xA5,0xE2   /*  */    },   // 77
	{   0xAC   /*  */,    0xA5,0xE3   /*  */    },   // 78
	{   0xD4   /*  */,    0xA5,0xE4   /*  */    },   // 79
	{   0xAD   /*  */,    0xA5,0xE5   /*  */    },   // 80
	{   0xD5   /*  */,    0xA5,0xE6   /*  */    },   // 81
	{   0xAE   /*  */,    0xA5,0xE7   /*  */    },   // 82
	{   0xD6   /*  */,    0xA5,0xE8   /*  */    },   // 83
	{   0xD7   /*  */,    0xA5,0xE9   /*  */    },   // 84
	{   0xD8   /*  */,    0xA5,0xEA   /*  */    },   // 85
	{   0xD9   /*  */,    0xA5,0xEB   /*  */    },   // 86
	{   0xDA   /*  */,    0xA5,0xEC   /*  */    },   // 87
	{   0xDB   /*  */,    0xA5,0xED   /*  */    },   // 88
	{   0xDC   /*  */,    0xA5,0xEE   /*  */    },   // 89
	{   0xDC   /*  */,    0xA5,0xEF   /*  */    },   // 90
	{   0x00   /*   */,    0xA5,0xF0   /*    */    },   // 91
	{   0x00   /*   */,    0xA5,0xF1   /*    */    },   // 92
	{   0xA6   /*  */,    0xA5,0xF2   /*  */    },   // 93
	{   0xDD   /*  */,    0xA5,0xF3   /*  */    }    // 94
};


// for EUC ȾASCIIASCII
static  hz1 e_ahz[E_AHZ_SIZE] = 
{
	{   0x20   /*   */,    0xa1,0xa1   /*  */    },   // 0
	{   0x21   /* ! */,    0xa1,0xaa   /*  */    },   // 1
	{   0x22   /* " */,    0xa1,0xc9   /*  */    },   // 2
	{   0x23   /* # */,    0xa1,0xf4   /*  */    },   // 3
	{   0x24   /* $ */,    0xa1,0xf0   /*  */    },   // 4
	{   0x25   /* % */,    0xa1,0xf3   /*  */    },   // 5
	{   0x26   /* & */,    0xa1,0xf5   /*  */    },   // 6
	{   0x27   /* ' */,    0xa1,0xc7   /*  */    },   // 7
	{   0x28   /* ( */,    0xa1,0xca   /*  */    },   // 8
	{   0x29   /* ) */,    0xa1,0xcb   /*  */    },   // 9
	{   0x2A   /* * */,    0xa1,0xf6   /*  */    },   // 10
	{   0x2B   /* + */,    0xa1,0xdc   /*  */    },   // 11
	{   0x2C   /* , */,    0xa1,0xa4   /*  */    },   // 12
	{   0x2D   /* - */,    0xa1,0xbc   /*  */    },   // 13
	{   0x2E   /* . */,    0xa1,0xa5   /*  */    },   // 14
	{   0x2F   /* / */,    0xa1,0xbf   /*  */    },   // 15
	{   0x30   /* 0 */,    0xa3,0xb0   /*  */    },   // 16
	{   0x31   /* 1 */,    0xa3,0xb1   /*  */    },   // 17
	{   0x32   /* 2 */,    0xa3,0xb2   /*  */    },   // 18
	{   0x33   /* 3 */,    0xa3,0xb3   /*  */    },   // 19
	{   0x34   /* 4 */,    0xa3,0xb4   /*  */    },   // 20
	{   0x35   /* 5 */,    0xa3,0xb5   /*  */    },   // 21
	{   0x36   /* 6 */,    0xa3,0xb6   /*  */    },   // 22
	{   0x37   /* 7 */,    0xa3,0xb7   /*  */    },   // 23
	{   0x38   /* 8 */,    0xa3,0xb8   /*  */    },   // 24
	{   0x39   /* 9 */,    0xa3,0xb9   /*  */    },   // 25
	{   0x3A   /* : */,    0xa1,0xa7   /*  */    },   // 26
	{   0x3B   /* ; */,    0xa1,0xa8   /*  */    },   // 27
	{   0x3C   /* < */,    0xa1,0xe3   /*  */    },   // 28
	{   0x3D   /* = */,    0xa1,0xe1   /*  */    },   // 29
	{   0x3E   /* > */,    0xa1,0xe4   /*  */    },   // 30
	{   0x3F   /* ? */,    0xa1,0xa9   /*  */    },   // 31
	{   0x40   /* @ */,    0xa1,0xf7   /*  */    },   // 32
	{   0x41   /* A */,    0xa3,0xc1   /*  */    },   // 33
	{   0x42   /* B */,    0xa3,0xc2   /*  */    },   // 34
	{   0x43   /* C */,    0xa3,0xc3   /*  */    },   // 35
	{   0x44   /* D */,    0xa3,0xc4   /*  */    },   // 36
	{   0x45   /* E */,    0xa3,0xc5   /*  */    },   // 37
	{   0x46   /* F */,    0xa3,0xc6   /*  */    },   // 38
	{   0x47   /* G */,    0xa3,0xc7   /*  */    },   // 39
	{   0x48   /* H */,    0xa3,0xc8   /*  */    },   // 40
	{   0x49   /* I */,    0xa3,0xc9   /*  */    },   // 41
	{   0x4A   /* J */,    0xa3,0xca   /*  */    },   // 42
	{   0x4B   /* K */,    0xa3,0xcb   /*  */    },   // 43
	{   0x4C   /* L */,    0xa3,0xcc   /*  */    },   // 44
	{   0x4D   /* M */,    0xa3,0xcd   /*  */    },   // 45
	{   0x4E   /* N */,    0xa3,0xce   /*  */    },   // 46
	{   0x4F   /* O */,    0xa3,0xcf   /*  */    },   // 47
	{   0x50   /* P */,    0xa3,0xd0   /*  */    },   // 48
	{   0x51   /* Q */,    0xa3,0xd1   /*  */    },   // 49
	{   0x52   /* R */,    0xa3,0xd2   /*  */    },   // 50
	{   0x53   /* S */,    0xa3,0xd3   /*  */    },   // 51
	{   0x54   /* T */,    0xa3,0xd4   /*  */    },   // 52
	{   0x55   /* U */,    0xa3,0xd5   /*  */    },   // 53
	{   0x56   /* V */,    0xa3,0xd6   /*  */    },   // 54
	{   0x57   /* W */,    0xa3,0xd7   /*  */    },   // 55
	{   0x58   /* X */,    0xa3,0xd8   /*  */    },   // 56
	{   0x59   /* Y */,    0xa3,0xd9   /*  */    },   // 57
	{   0x5A   /* Z */,    0xa3,0xda   /*  */    },   // 58
	{   0x5B   /* [ */,    0xa1,0xce   /*  */    },   // 59
	{   0x5C   /* \ */,    0xa1,0xef   /*  */    },   // 60
	{   0x5D   /* ] */,    0xa1,0xcf   /*  */    },   // 61
	{   0x5E   /* ^ */,    0xa1,0xb0   /*  */    },   // 62
	{   0x5F   /* _ */,    0xa1,0xb2   /*  */    },   // 63
	{   0x60   /* ` */,    0xa1,0xae   /*  */    },   // 64
	{   0x61   /* a */,    0xa3,0xe1   /*  */    },   // 65
	{   0x62   /* b */,    0xa3,0xe2   /*  */    },   // 66
	{   0x63   /* c */,    0xa3,0xe3   /*  */    },   // 67
	{   0x64   /* d */,    0xa3,0xe4   /*  */    },   // 68
	{   0x65   /* e */,    0xa3,0xe5   /*  */    },   // 69
	{   0x66   /* f */,    0xa3,0xe6   /*  */    },   // 70
	{   0x67   /* g */,    0xa3,0xe7   /*  */    },   // 71
	{   0x68   /* h */,    0xa3,0xe8   /*  */    },   // 72
	{   0x69   /* i */,    0xa3,0xe9   /*  */    },   // 73
	{   0x6A   /* j */,    0xa3,0xea   /*  */    },   // 74
	{   0x6B   /* k */,    0xa3,0xeb   /*  */    },   // 75
	{   0x6C   /* l */,    0xa3,0xec   /*  */    },   // 76
	{   0x6D   /* m */,    0xa3,0xed   /*  */    },   // 77
	{   0x6E   /* n */,    0xa3,0xee   /*  */    },   // 78
	{   0x6F   /* o */,    0xa3,0xef   /*  */    },   // 79
	{   0x70   /* p */,    0xa3,0xf0   /*  */    },   // 80
	{   0x71   /* q */,    0xa3,0xf1   /*  */    },   // 81
	{   0x72   /* r */,    0xa3,0xf2   /*  */    },   // 82
	{   0x73   /* s */,    0xa3,0xf3   /*  */    },   // 83
	{   0x74   /* t */,    0xa3,0xf4   /*  */    },   // 84
	{   0x75   /* u */,    0xa3,0xf5   /*  */    },   // 85
	{   0x76   /* v */,    0xa3,0xf6   /*  */    },   // 86
	{   0x77   /* w */,    0xa3,0xf7   /*  */    },   // 87
	{   0x78   /* x */,    0xa3,0xf8   /*  */    },   // 88
	{   0x79   /* y */,    0xa3,0xf9   /*  */    },   // 89
	{   0x7A   /* z */,    0xa3,0xfa   /*  */    },   // 90
	{   0x7B   /* { */,    0xa1,0xd0   /*  */    },   // 91
	{   0x7C   /* | */,    0xa1,0xc3   /*  */    },   // 92
	{   0x7D   /* } */,    0xa1,0xd1   /*  */    },   // 93
	{   0x7E   /* ~ */,    0xa1,0xc1   /*  */    }    // 94
};


// for EUC ASCIIȾASCII
static  hz1 e_azh1[E_AZH1_SIZE] = 
{
	{   0x20   /*   */,    0xa1,0xa1   /*  */    },   // 0
	{   0x00   /*   */,    0xA1,0xA2   /*    */    },   // 1
	{   0x00   /*   */,    0xA1,0xA3   /*    */    },   // 2
	{   0x2C   /* , */,    0xa1,0xa4   /*  */    },   // 3
	{   0x2E   /* . */,    0xa1,0xa5   /*  */    },   // 4
	{   0x00   /*   */,    0xA1,0xA6   /*    */    },   // 5
	{   0x3A   /* : */,    0xa1,0xa7   /*  */    },   // 6
	{   0x3B   /* ; */,    0xa1,0xa8   /*  */    },   // 7
	{   0x3F   /* ? */,    0xa1,0xa9   /*  */    },   // 8
	{   0x21   /* ! */,    0xa1,0xaa   /*  */    },   // 9
	{   0x00   /*   */,    0xA1,0xAB   /*    */    },   // 10
	{   0x00   /*   */,    0xA1,0xAC   /*    */    },   // 11
	{   0x00   /*   */,    0xA1,0xAD   /*    */    },   // 12
	{   0x60   /* ` */,    0xa1,0xae   /*  */    },   // 13
	{   0x00   /*   */,    0xA1,0xAF   /*    */    },   // 14
	{   0x5E   /* ^ */,    0xa1,0xb0   /*  */    },   // 15
	{   0x00   /*   */,    0xA1,0xB1   /*    */    },   // 16
	{   0x5F   /* _ */,    0xa1,0xb2   /*  */    },   // 17
	{   0x00   /*   */,    0xA1,0xB3   /*    */    },   // 18
	{   0x00   /*   */,    0xA1,0xB4   /*    */    },   // 19
	{   0x00   /*   */,    0xA1,0xB5   /*    */    },   // 20
	{   0x00   /*   */,    0xA1,0xB6   /*    */    },   // 21
	{   0x00   /*   */,    0xA1,0xB7   /*    */    },   // 22
	{   0x00   /*   */,    0xA1,0xB8   /*    */    },   // 23
	{   0x00   /*   */,    0xA1,0xB9   /*    */    },   // 24
	{   0x00   /*   */,    0xA1,0xBA   /*    */    },   // 25
	{   0x00   /*   */,    0xA1,0xBB   /*    */    },   // 26
	{   0x2D   /* - */,    0xa1,0xbc   /*  */    },   // 27
	{   0x00   /*   */,    0xA1,0xBD   /*    */    },   // 28
	{   0x00   /*   */,    0xA1,0xBE   /*    */    },   // 29
	{   0x2F   /* / */,    0xa1,0xbf   /*  */    },   // 30
	{   0x00   /*   */,    0xA1,0xC0   /*    */    },   // 31
	{   0x7E   /* ~ */,    0xa1,0xc1   /*  */    },   // 32
	{   0x00   /*   */,    0xA1,0xC2   /*    */    },   // 33
	{   0x7C   /* | */,    0xa1,0xc3   /*  */    },   // 34
	{   0x00   /*   */,    0xA1,0xC4   /*    */    },   // 35
	{   0x00   /*   */,    0xA1,0xC5   /*    */    },   // 36
	{   0x00   /*   */,    0xA1,0xC6   /*    */    },   // 37
	{   0x27   /* ' */,    0xa1,0xc7   /*  */    },   // 38
	{   0x00   /*   */,    0xA1,0xC8   /*    */    },   // 39
	{   0x22   /* " */,    0xa1,0xc9   /*  */    },   // 40
	{   0x28   /* ( */,    0xa1,0xca   /*  */    },   // 41
	{   0x29   /* ) */,    0xa1,0xcb   /*  */    },   // 42
	{   0x00   /*   */,    0xA1,0xCC   /*    */    },   // 43
	{   0x00   /*   */,    0xA1,0xCD   /*    */    },   // 44
	{   0x5B   /* [ */,    0xa1,0xce   /*  */    },   // 45
	{   0x5D   /* ] */,    0xa1,0xcf   /*  */    },   // 46
	{   0x7B   /* { */,    0xa1,0xd0   /*  */    },   // 47
	{   0x7D   /* } */,    0xa1,0xd1   /*  */    },   // 48
	{   0x00   /*   */,    0xA1,0xD2   /*    */    },   // 49
	{   0x00   /*   */,    0xA1,0xD3   /*    */    },   // 50
	{   0x00   /*   */,    0xA1,0xD4   /*    */    },   // 51
	{   0x00   /*   */,    0xA1,0xD5   /*    */    },   // 52
	{   0x00   /*   */,    0xA1,0xD6   /*    */    },   // 53
	{   0x00   /*   */,    0xA1,0xD7   /*    */    },   // 54
	{   0x00   /*   */,    0xA1,0xD8   /*    */    },   // 55
	{   0x00   /*   */,    0xA1,0xD9   /*    */    },   // 56
	{   0x00   /*   */,    0xA1,0xDA   /*    */    },   // 57
	{   0x00   /*   */,    0xA1,0xDB   /*    */    },   // 58
	{   0x2B   /* + */,    0xa1,0xdc   /*  */    },   // 59
	{   0x00   /*   */,    0xA1,0xDD   /*    */    },   // 60
	{   0x00   /*   */,    0xA1,0xDE   /*    */    },   // 61
	{   0x00   /*   */,    0xA1,0xDF   /*    */    },   // 62
	{   0x00   /*   */,    0xA1,0xE0   /*    */    },   // 63
	{   0x3D   /* = */,    0xa1,0xe1   /*  */    },   // 64
	{   0x00   /*   */,    0xA1,0xE2   /*    */    },   // 65
	{   0x3C   /* < */,    0xa1,0xe3   /*  */    },   // 66
	{   0x3E   /* > */,    0xa1,0xe4   /*  */    },   // 67
	{   0x00   /*   */,    0xA1,0xE5   /*    */    },   // 68
	{   0x00   /*   */,    0xA1,0xE6   /*    */    },   // 69
	{   0x00   /*   */,    0xA1,0xE7   /*    */    },   // 70
	{   0x00   /*   */,    0xA1,0xE8   /*    */    },   // 71
	{   0x00   /*   */,    0xA1,0xE9   /*    */    },   // 72
	{   0x00   /*   */,    0xA1,0xEA   /*    */    },   // 73
	{   0x00   /*   */,    0xA1,0xEB   /*    */    },   // 74
	{   0x00   /*   */,    0xA1,0xEC   /*    */    },   // 75
	{   0x00   /*   */,    0xA1,0xED   /*    */    },   // 76
	{   0x00   /*   */,    0xA1,0xEE   /*    */    },   // 77
	{   0x5C   /* \ */,    0xa1,0xef   /*  */    },   // 78
	{   0x24   /* $ */,    0xa1,0xf0   /*  */    },   // 79
	{   0x00   /*   */,    0xA1,0xF1   /*    */    },   // 80
	{   0x00   /*   */,    0xA1,0xF2   /*    */    },   // 81
	{   0x25   /* % */,    0xa1,0xf3   /*  */    },   // 82
	{   0x23   /* # */,    0xa1,0xf4   /*  */    },   // 83
	{   0x26   /* & */,    0xa1,0xf5   /*  */    },   // 84
	{   0x2A   /* * */,    0xa1,0xf6   /*  */    },   // 85
	{   0x40   /* @ */,    0xa1,0xf7   /*  */    }    // 86
};

// for EUC ASCIIȾASCII
static  hz1 e_azh2[E_AZH2_SIZE] = 
{
	{   0x30   /* 0 */,    0xa3,0xb0   /*  */    },   // 0
	{   0x31   /* 1 */,    0xa3,0xb1   /*  */    },   // 1
	{   0x32   /* 2 */,    0xa3,0xb2   /*  */    },   // 2
	{   0x33   /* 3 */,    0xa3,0xb3   /*  */    },   // 3
	{   0x34   /* 4 */,    0xa3,0xb4   /*  */    },   // 4
	{   0x35   /* 5 */,    0xa3,0xb5   /*  */    },   // 5
	{   0x36   /* 6 */,    0xa3,0xb6   /*  */    },   // 6
	{   0x37   /* 7 */,    0xa3,0xb7   /*  */    },   // 7
	{   0x38   /* 8 */,    0xa3,0xb8   /*  */    },   // 8
	{   0x39   /* 9 */,    0xa3,0xb9   /*  */    },   // 9
	{   0x00   /*   */,    0xA3,0xBA   /*    */    },   // 10
	{   0x00   /*   */,    0xA3,0xBB   /*    */    },   // 11
	{   0x00   /*   */,    0xA3,0xBC   /*    */    },   // 12
	{   0x00   /*   */,    0xA3,0xBD   /*    */    },   // 13
	{   0x00   /*   */,    0xA3,0xBE   /*    */    },   // 14
	{   0x00   /*   */,    0xA3,0xBF   /*    */    },   // 15
	{   0x00   /*   */,    0xA3,0xC0   /*    */    },   // 16
	{   0x41   /* A */,    0xa3,0xc1   /*  */    },   // 17
	{   0x42   /* B */,    0xa3,0xc2   /*  */    },   // 18
	{   0x43   /* C */,    0xa3,0xc3   /*  */    },   // 19
	{   0x44   /* D */,    0xa3,0xc4   /*  */    },   // 20
	{   0x45   /* E */,    0xa3,0xc5   /*  */    },   // 21
	{   0x46   /* F */,    0xa3,0xc6   /*  */    },   // 22
	{   0x47   /* G */,    0xa3,0xc7   /*  */    },   // 23
	{   0x48   /* H */,    0xa3,0xc8   /*  */    },   // 24
	{   0x49   /* I */,    0xa3,0xc9   /*  */    },   // 25
	{   0x4A   /* J */,    0xa3,0xca   /*  */    },   // 26
	{   0x4B   /* K */,    0xa3,0xcb   /*  */    },   // 27
	{   0x4C   /* L */,    0xa3,0xcc   /*  */    },   // 28
	{   0x4D   /* M */,    0xa3,0xcd   /*  */    },   // 29
	{   0x4E   /* N */,    0xa3,0xce   /*  */    },   // 30
	{   0x4F   /* O */,    0xa3,0xcf   /*  */    },   // 31
	{   0x50   /* P */,    0xa3,0xd0   /*  */    },   // 32
	{   0x51   /* Q */,    0xa3,0xd1   /*  */    },   // 33
	{   0x52   /* R */,    0xa3,0xd2   /*  */    },   // 34
	{   0x53   /* S */,    0xa3,0xd3   /*  */    },   // 35
	{   0x54   /* T */,    0xa3,0xd4   /*  */    },   // 36
	{   0x55   /* U */,    0xa3,0xd5   /*  */    },   // 37
	{   0x56   /* V */,    0xa3,0xd6   /*  */    },   // 38
	{   0x57   /* W */,    0xa3,0xd7   /*  */    },   // 39
	{   0x58   /* X */,    0xa3,0xd8   /*  */    },   // 40
	{   0x59   /* Y */,    0xa3,0xd9   /*  */    },   // 41
	{   0x5A   /* Z */,    0xa3,0xda   /*  */    },   // 42
	{   0x00   /*   */,    0xA3,0xDB   /*    */    },   // 43
	{   0x00   /*   */,    0xA3,0xDC   /*    */    },   // 44
	{   0x00   /*   */,    0xA3,0xDD   /*    */    },   // 45
	{   0x00   /*   */,    0xA3,0xDE   /*    */    },   // 46
	{   0x00   /*   */,    0xA3,0xDF   /*    */    },   // 47
	{   0x00   /*   */,    0xA3,0xE0   /*    */    },   // 48
	{   0x61   /* a */,    0xa3,0xe1   /*  */    },   // 49
	{   0x62   /* b */,    0xa3,0xe2   /*  */    },   // 50
	{   0x63   /* c */,    0xa3,0xe3   /*  */    },   // 51
	{   0x64   /* d */,    0xa3,0xe4   /*  */    },   // 52
	{   0x65   /* e */,    0xa3,0xe5   /*  */    },   // 53
	{   0x66   /* f */,    0xa3,0xe6   /*  */    },   // 54
	{   0x67   /* g */,    0xa3,0xe7   /*  */    },   // 55
	{   0x68   /* h */,    0xa3,0xe8   /*  */    },   // 56
	{   0x69   /* i */,    0xa3,0xe9   /*  */    },   // 57
	{   0x6A   /* j */,    0xa3,0xea   /*  */    },   // 58
	{   0x6B   /* k */,    0xa3,0xeb   /*  */    },   // 59
	{   0x6C   /* l */,    0xa3,0xec   /*  */    },   // 60
	{   0x6D   /* m */,    0xa3,0xed   /*  */    },   // 61
	{   0x6E   /* n */,    0xa3,0xee   /*  */    },   // 62
	{   0x6F   /* o */,    0xa3,0xef   /*  */    },   // 63
	{   0x70   /* p */,    0xa3,0xf0   /*  */    },   // 64
	{   0x71   /* q */,    0xa3,0xf1   /*  */    },   // 65
	{   0x72   /* r */,    0xa3,0xf2   /*  */    },   // 66
	{   0x73   /* s */,    0xa3,0xf3   /*  */    },   // 67
	{   0x74   /* t */,    0xa3,0xf4   /*  */    },   // 68
	{   0x75   /* u */,    0xa3,0xf5   /*  */    },   // 69
	{   0x76   /* v */,    0xa3,0xf6   /*  */    },   // 70
	{   0x77   /* w */,    0xa3,0xf7   /*  */    },   // 71
	{   0x78   /* x */,    0xa3,0xf8   /*  */    },   // 72
	{   0x79   /* y */,    0xa3,0xf9   /*  */    },   // 73
	{   0x7A   /* z */,    0xa3,0xfa   /*  */    }    // 74
};



/*                              SJIS                            EUC
    󥰥Х              (0x20 - 0x7E0xA1 - 0xDF)      (0x8E)+(0xA1 - 0xFE)
    ޥХʸԥХ(0x81 - 0x9F0xE0 - 0xFC)      (0xA1 - 0xFE)
    ޥХʸθ³Х(0x40 - 0x7E0x80 - 0xFC)      (0xA1 - 0xFE)
*/
